# Reference

## Programs

### csg_boltzmann

#### NAME

csg_boltzmann - Part of the VOTCA package

#### SYNOPSIS

csg_boltzmann [OPTIONS]

csg_boltzmann [–help]

#### DESCRIPTION

Performs tasks that are needed for simple boltzmann inversion in an interactive environment.

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file

    Mapping options:

      --cg arg                  coarse graining mapping and bond definitions
                              (xml-file)
      --map-ignore arg          list of molecules to ignore separated by ;
      --no-map                  disable mapping and act on original trajectory

    Special options:

      --excl arg              write atomistic exclusion list to file

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

### csg_call

#### NAME

csg_call - Part of the VOTCA package

#### SYNOPSIS

csg_call [OPTIONS]

csg_call [–help]

Usage: csg_call [OPTIONS] key1 key2 [SCRIPT OPTIONS]

#### DESCRIPTION

This script calls scripts and functions for the iterative framework. Function can be executed or shows if key1=’function’.

#### EXAMPLES

    * csg_call table smooth [ARGUMENTS]
    * csg_call --show run gromacs

#### OPTIONS

    Allowed options:

    -l, --list           Show list of all script
        --cat            Show the content of the script
        --show           Show the path to the script
        --show-share     Shows the used VOTCASHARE dir and exits
        --scriptdir DIR  Set the user script dir
                         (Used if no options xml file is given)
                         Default: empty
        --options FILE   Specify the options xml file to use
        --log FILE       Specify the log file to use
                         Default: stdout
        --ia-type type   Specify the interaction type to use
        --ia-name name   Specify the interaction name to use
        --nocolor        Disable colors
        --sloppy-tables  Allow tables without flags
        --debug          Enable debug mode with a lot of information
    -h, --help           Show this help

### csg_density

#### NAME

csg_density - Part of the VOTCA package

#### SYNOPSIS

csg_density [OPTIONS]

csg_density [–help]

#### DESCRIPTION

Calculates the mass density distribution along a box axis or radial density profile from reference point

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file

    Mapping options:

      --cg arg                  [OPTIONAL] coarse graining mapping and bond
                              definitions
                                (xml-file). If no file is given, program acts on
                              original trajectory
      --map-ignore arg          list of molecules to ignore if mapping is done
                              separated by ;

    Specific options::

      --type arg (=mass)      density type: mass or number
      --axis arg (=r)         [x|y|z|r] density axis (r=spherical)
      --step arg (=0.01)      spacing of density
      --block-length arg        write blocks of this length, the averages are
                              cleared after every write
      --out arg               Output file
      --rmax arg              rmax (default for [r] =min of all box vectors/2, else
                              l )
      --scale arg (=1)        scale factor for the density
      --molname arg (=*)      molname
      --filter arg (=*)       filter bead names
      --ref arg               reference zero point

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

### csg_dlptopol

#### NAME

csg_dlptopol - Part of the VOTCA package

#### SYNOPSIS

csg_dlptopol [OPTIONS]

csg_dlptopol [–help]

#### DESCRIPTION

Create a dlpoly topology template based on an existing (atomistic) topology and a mapping xml-file. The created template file needs to be inspected and amended by the user!

#### EXAMPLES

    * csg_dlptopol --top .dlpf --out .dlpf --cg cg-map.xml
      convert FIELD to FIELD_CGV using cg-map.xml
    * csg_dlptopol --top FA-dlpoly.dlpf --out CG-dlpoly.dlpf --cg cg-map.xml
    * csg_dlptopol --top FA-gromacs.tpr --out FA-dlpoly.dlpf --no-map

#### OPTIONS

    Allowed options:

        -h [ --help ]            display this help and exit
        --verbose                be loud and noisy
        --verbose1               be very loud and noisy
        -v [ --verbose2 ]        be extremly loud and noisy
        --top arg                atomistic topology file
        --out arg                output topology in dlpoly format
      Mapping options:

        --cg arg                 coarse graining mapping and bond definitions
                               (xml-file)
        --map-ignore arg         list of molecules to ignore separated by ;
        --no-map                 disable mapping and act on original trajectory

### csg_dump

#### NAME

csg_dump - Part of the VOTCA package

#### SYNOPSIS

csg_dump [OPTIONS]

csg_dump [–help]

#### DESCRIPTION

Print atoms that are read from topology file to help debugging atom naming.

#### OPTIONS

    Allowed options:

      -h [ --help ]            display this help and exit
      --verbose                be loud and noisy
      --verbose1               be very loud and noisy
      -v [ --verbose2 ]        be extremly loud and noisy
      --top arg                atomistic topology file

    Mapping options:

      --cg arg                 [OPTIONAL] coarse graining mapping and bond
                             definitions
                               (xml-file). If no file is given, program acts on
                             original trajectory
      --map-ignore arg         list of molecules to ignore if mapping is done
                             separated by ;

    Specific options:

      --excl                   display exclusion list instead of molecule list

### csg_fmatch

#### NAME

csg_fmatch - Part of the VOTCA package

#### SYNOPSIS

csg_fmatch [OPTIONS]

csg_fmatch [–help]

#### DESCRIPTION

Perform force matching (also called multiscale coarse-graining)

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file
      --options arg             options file for coarse graining
      --trj-force arg           coarse-grained trajectory containing forces of
                              already known interactions

    Mapping options:

      --cg arg                  coarse graining mapping and bond definitions
                              (xml-file)
      --map-ignore arg          list of molecules to ignore separated by ;
      --no-map                  disable mapping and act on original trajectory

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

### csg_gmxtopol

#### NAME

csg_gmxtopol - Part of the VOTCA package

#### SYNOPSIS

csg_gmxtopol [OPTIONS]

csg_gmxtopol [–help]

#### DESCRIPTION

Create skeleton for gromacs topology based on atomistic topology and a mapping file. File still needs to be modified by the user.

#### OPTIONS

    Allowed options:

      -h [ --help ]            display this help and exit
      --verbose                be loud and noisy
      --verbose1               be very loud and noisy
      -v [ --verbose2 ]        be extremly loud and noisy
      --top arg                atomistic topology file
      --out arg              output topology (will create .top and in future also
                             .itp)

    Mapping options:

      --cg arg                 coarse graining mapping and bond definitions
                             (xml-file)
      --map-ignore arg         list of molecules to ignore separated by ;
      --no-map                 disable mapping and act on original trajectory

### csg_imc_solve

#### NAME

csg_imc_solve - Part of the VOTCA package

#### SYNOPSIS

csg_imc_solve [OPTIONS]

csg_imc_solve [–help]

#### DESCRIPTION

Solves the linear system for IMCs

#### OPTIONS

    Allowed options:

      -h [ --help ]                       display this help and exit
      --verbose                           be loud and noisy
      --verbose1                          be very loud and noisy
      -v [ --verbose2 ]                   be extremly loud and noisy
      -r [ --regularization ] arg (=0)  regularization factor
      -i [ --imcfile ] arg              imc statefile
      -g [ --gmcfile ] arg              gmc statefile
      -n [ --idxfile ] arg              idx statefile

### csg_inverse

#### NAME

csg_inverse - Part of the VOTCA package

#### SYNOPSIS

csg_inverse [OPTIONS]

csg_inverse [–help]

Usage: csg_inverse [OPTIONS] –options settings.xml [clean]

#### DESCRIPTION

Start the script to run ibi, imc, etc. or clean out current dir

#### EXAMPLES

    * csg_inverse --options cg.xml
    * csg_inverse -6 --options cg.xml

#### OPTIONS

    Allowed options:

    -h, --help                    show this help
    -N, --do-iterations N         only do N iterations (ignoring settings.xml)
        --wall-time SEK           Set wall clock time
        --options FILE            Specify the options xml file to use
        --debug                   enable debug mode with a lot of information
        --nocolor                 disable colors

### csg_map

#### NAME

csg_map - Part of the VOTCA package

#### SYNOPSIS

csg_map [OPTIONS]

csg_map [–help]

#### DESCRIPTION

Convert a reference atomistic trajectory or configuration into a coarse-grained one based on a mapping xml-file. The mapping can be applied to either an entire trajectory or a selected set of frames only (see options).

#### EXAMPLES

    * csg_map --top FA-topol.tpr --trj FA-traj.trr --out CG-traj.xtc --cg cg-map.xml
    * csg_map --top FA-topol.tpr --trj FA-conf.gro --out CG-conf.gro --cg cg-map.xml
    * csg_map --top FA-topol.tpr --trj FA-traj.xtc --out FA-history.dlph --no-map
    * csg_map --top FA-field.dlpf --trj FA-history.dlph --out CG-history.dlph --cg cg-map.xml
    * csg_map --top .dlpf --trj .dlph --out .dlph --cg cg-map.xml  convert HISTORY to HISTORY_CGV

#### OPTIONS

    Allowed options:

        -h [ --help ]             display this help and exit
        --verbose                 be loud and noisy
        --verbose1                be very loud and noisy
        -v [ --verbose2 ]         be extremly loud and noisy
        --top arg                 atomistic topology file
        --out arg                 output file for coarse-grained trajectory
        --vel                     Write mapped velocities (if available)
        --force                   Write mapped forces (if available)
        --hybrid                  Create hybrid trajectory containing both atomistic
                                and coarse-grained
      Mapping options:

        --cg arg                  coarse graining mapping and bond definitions
                                (xml-file)
        --map-ignore arg          list of molecules to ignore separated by ;
        --no-map                  disable mapping and act on original trajectory
      Trajectory options:

        --trj arg                 atomistic trajectory file
        --begin arg (=0)          skip frames before this time (only works for
                                Gromacs files)
        --first-frame arg (=0)    start with this frame
        --nframes arg             process the given number of frames

### csg_property

#### NAME

csg_property - Part of the VOTCA package

#### SYNOPSIS

csg_property [OPTIONS]

csg_property [–help]

#### DESCRIPTION

Helper program called by inverse scripts to parse xml file.

#### OPTIONS

    Allowed options:

      --help                produce this help message
      --path arg            path to part of the xml file to print
      --filter arg          list option values that match given criteria
      --print arg (=.)      specifies which children or root to print
      --file arg            xml file to parse
      --short               short version of output
      --with-path           include path of node in output

### csg_resample

#### NAME

csg_resample - Part of the VOTCA package

#### SYNOPSIS

csg_resample [OPTIONS]

csg_resample [–help]

#### DESCRIPTION

Change grid and interval of any sort of table files. Mainly called internally by inverse script, can also be used to manually prepare input files for coarse-grained simulations.

#### OPTIONS

    Allowed options:

      --help                produce this help message
      --in arg              table to read
      --out arg             table to write
      --derivative arg      table to write
      --grid arg            new grid spacing (min:step:max). If 'grid' is specified
                            only, interpolation is performed.
      --type arg (=akima)   [cubic|akima|linear]. If option is not specified, the
                            default type 'akima' is assumed.
      --fitgrid arg         specify fit grid (min:step:max). If 'grid' and
                            'fitgrid' are specified, a fit is performed.
      --nocut               Option for fitgrid: Normally, values out of fitgrid
                            boundaries are cut off. If they shouldn't, choose
                            --nocut.
      --comment arg         store a comment in the output table
      --boundaries arg      (natural|periodic|derivativezero) sets boundary
                            conditions

### csg_reupdate

#### NAME

csg_reupdate - Part of the VOTCA package

#### SYNOPSIS

csg_reupdate [OPTIONS]

csg_reupdate [–help]

#### DESCRIPTION

computes relative entropy update.

#### OPTIONS

    Allowed options:

      -h [ --help ]                       display this help and exit
      --verbose                           be loud and noisy
      --verbose1                          be very loud and noisy
      -v [ --verbose2 ]                   be extremly loud and noisy
      --top arg                           atomistic topology file (only needed for
                                        RE update)

    RE Specific options:

      --options arg                       options file for coarse graining
      --gentable arg (=0)                 only generate potential tables from given
                                        parameters,   NO RE update!
      --interaction arg                  [OPTIONAL] generate potential tables only
                                        for the specified interactions,
                                         only valid when 'gentable' is true
      --param-in-ext arg (=param.cur)     Extension of the input parameter tables
      --param-out-ext arg (=param.new)    Extension of the output parameter tables
      --pot-out-ext arg (=pot.new)        Extension of the output potential tables
      --hessian-check arg (=1)            Disable the hessian check (mostly for
                                        testing)

    Threading options:

      --nt arg (=1)                       number of threads

    Trajectory options:

      --trj arg                           atomistic trajectory file
      --begin arg (=0)                    skip frames before this time (only works
                                        for Gromacs files)
      --first-frame arg (=0)              start with this frame
      --nframes arg                       process the given number of frames

### csg_stat

#### NAME

csg_stat - Part of the VOTCA package

#### SYNOPSIS

csg_stat [OPTIONS]

csg_stat [–help]

#### DESCRIPTION

Calculate all distributions (bonded and non-bonded) specified in options file. Optionally calculates update Eigen::Matrix3d for invere Monte Carlo. This program is called inside the inverse scripts. Unlike csg_boltzmann, big systems can be treated as well as non-bonded interactions can be evaluated.

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file

    Mapping options:

      --cg arg                  [OPTIONAL] coarse graining mapping and bond
                              definitions
                                (xml-file). If no file is given, program acts on
                              original trajectory
      --map-ignore arg          list of molecules to ignore if mapping is done
                              separated by ;

    Specific options:

      --options arg             options file for coarse graining
      --do-imc                  write out additional Inverse Monte Carlo data
      --include-intra           do not exclude intramolecular neighbors
      --block-length arg        write blocks of this length, the averages are
                              cleared after every write
      --ext arg (=dist.new)   Extension of the output

    Threading options:

      --nt arg (=1)             number of threads

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

## Mapping file

The root node always has to be cg_molecule. It can contain the following keywords:

The following table contains the input options for CSG,

Property Name | Default Value | Description
--- | --- | ---
ident |  | Molecule name in reference topology.
topology |  | Section defining coarse grained beads of molecule.
topology.cg_beads |  | Section defining coarse grained beads of molecule.
topology.cg_beads.cg_bead |  | Definition of a coarse grained bead.
topology.cg_beads.cg_bead.name |  | Name of coarse grained bead.
topology.cg_beads.cg_bead.type |  | Type of coarse grained bead.
topology.cg_beads.cg_bead.mapping |  | Mapping scheme to be used for this bead (specified in section mapping) to map from reference system.
topology.cg_beads.cg_bead.beads |  | The beads section lists all atoms of the reference system that are mapped to this particular coarse grained bead. The syntax is RESID:RESNAME:ATOMNAME, the beads are separated by spaces.

topology.cg_bonded

The cg_bonded section contains all bonded interaction
of the molecule. Those can be bond, angle or dihedral.
An entry for each group of bonded interaction can be specified,
e.g. several groups (types) of bonds can be specified.
A specific bonded interaction can be later on addressed
by MOLECULE:NAME:NUMBER, where MOLECULE is the molecule
ID in the whole topology, NAME the name of the interaction
group and NUMBER addresses the interaction in the group.

topology.cg_bonded.bond |  | Definition of a group of bonds.
topology.cg_bonded.bond.name |  | Name of the bond.
topology.cg_bonded.bond.beads |  | List of pair of beads that define a bond. Names specified in cg_beads
topology.cg_bonded.angle |  | Definition of a group of angles.
topology.cg_bonded.angle.name |  | Name of the angle
topology.cg_bonded.angle.beads |  | List of triples of beads that define a bond. Names specified in cg_beads
topology.cg_bonded.dihedral |  | Definition of a group of dihedrals. Since the exact functional form does not matter, this combines proper as well as improper dihedrals.
topology.cg_bonded.dihedral.name |  | Name of the dihedral
topology.cg_bonded.dihedral.beads |  | List of quadruples of beads that define a bond. Names specified in cg_beads
maps |  | Section containing definitions of mapping schemes.
maps.map |  | Section for a mapping for 1 bead.
maps.map.name |  | Name of the mapping
maps.map.weights |  | Weights of the mapping matrix. Entries are normalized to 1, number of entries must match the number of reference beads in a coarse-grained bead.

## Topology file

The XMLtopology file

The XML topology root element, the base for the topology can be defined by the “name” attribute The following table contains the input options for CSG,

Property Name | Default Value | Description
--- | --- | ---
h5md_particle_group |  | Attribute name holds the name of particles group in H5MD file
molecules |  | The the molecules in the trajectory or other operation on the molecules.
molecules.molecule |  | Definition of the molecule, with attributes: name, nmols and nbeads. The name defines residue name, nmols tells how many times this molecule has to be replicated to match with trajectory file and nbeads defines number of beads in every molecule.
molecules.molecule.bead |  | Define the bead in the molecule. Attributes are: name - the name of bead, type - the type of bead, mass - the mass of bead, q - the value of charge and resid - the id of the residue the bead belongs to (>=1).
molecules.clear |  | Clear the information about the molecules
molecules.rename |  | Rename the molecules; attributes: “name” - the new name, “range” - the range where the new name will be set in the format start_range:end_range
molecules.define |  | Define the molecules; attributes: “name” - the name of molecule, “first” - the id of first molecule, “nbeads” - the number of beads in the molecule, “nmols” - the number of molecules
bonded |  | This section defines the topology of the molecules, it is used to generate proper exclusions for calculating rdfs
bonded.bond |  | Describes the bond
bonded.bond.name |  | The name of the bond
bonded.bond.beads |  | The pair of the beads in the format MOLECULE_NAME:BEAD_NAME
bonded.angle |  | Describes the angle
bonded.angle.name |  | The name of the angle
bonded.angle.beads |  | The triplet of the beads in the format MOLECULE_NAME:BEAD_NAME
bonded.dihedral |  | Describes the dihedrals
bonded.dihedral.name |  | The name of the dihedral
bonded.dihedral.beads |  | The quadruplet of the beads in the format MOLECULE_NAME:BEAD_NAME
beadtypes |  | Allows defining bead types
beadtypes.rename |  | Rename the bead type; attributes: “name” - the old name, “newname” - the new name
beadtypes.mass |  | Define the mass of the bead type; attributes: “name” - the bead type name, “value” - the new mass

## Settings file

All options for the iterative script are stored in an xml file.

Section containing the all coarse-graining options The following table contains the input options for CSG,

Property Name | Default Value | Description
--- | --- | ---
fmatch |  | Force matching options
fmatch.constrainedLS |  | boolean variable: false - simple least squares, true - constrained least squares. For details see the VOTCA paper. Practically, both algorithms give the same results, but simple least squares is faster. If you are a mathematician and you think that a spline can only then be called a spline if it has continuous first and second derivatives, use constrained least squares.
fmatch.dist | 1e-5 | Accuracy for evaluating the difference in bead positions. Default is 1e-5
fmatch.frames_per_block |  | number of frames, being used for block averaging. Atomistic trajectory, specified with –trj option, is divided into blocks and the force matching equations are solved separately for each block. Coarse-grained force-field, which one gets on the output is averaged over those blocks.
inverse |  | general options for inverse script
inverse.cleanlist |  | these files are removed after each iteration
inverse.convergence_check |  |
inverse.convergence_check.limit | 0 | lower convergency limit to stop
inverse.convergence_check.type | none | type of convergence check to do
inverse.dlpoly |  | general dlpoly specific options
inverse.dlpoly.command | DLPOLY.Z | command to run dlpoly (name or absolute path or ‘mpirun dlpoly’ or such)
inverse.dlpoly.topol | .dlpf | Name of dlpoly topology file
inverse.dlpoly.traj | .dlph | Name of the output dlpoly trajectory file
inverse.dlpoly.checkpoint | REVIVE REVCON | Names of the dlpoly checkpoint files
inverse.dlpoly.table_end |  | dlpoly internal grid end point for tabulated non-bonded potentials (applied to all non-bonded)
inverse.dlpoly.table_grid |  | dlpoly internal grid number for tabulated non-bonded potentials (applied to all non-bonded)
inverse.dlpoly.bonds |  | dlpoly specs for tabulated bonded potentials (applied to all bonds)
inverse.dlpoly.bonds.table_end |  | dlpoly internal grid end point for tabulated potentials
inverse.dlpoly.bonds.table_grid |  | dlpoly internal grid number for tabulated potentials
inverse.dlpoly.angles |  | dlpoly specs for tabulated bonded potentials (applied to all angles)
inverse.dlpoly.angles.table_grid |  | dlpoly internal grid number for tabulated potentials
inverse.dlpoly.dihedrals |  | dlpoly specs for tabulated bonded potentials (applied to all dihedrals)
inverse.dlpoly.dihedrals.table_grid |  | dlpoly internal grid number for tabulated potentials
inverse.espresso |  |
inverse.espresso.command | python3 | Command to run espresso (name or absolute path or mpirun espresso..)
inverse.espresso.opts | ${script} | option to be given to espresso program, use ${script} in there
inverse.espresso.first_frame | 0 | trash the given number of frames at the beginning of trajectory
inverse.espresso.table_bins |  | espresso internal grid for tabulated potentials
inverse.espresso.traj |  | Name of the output Espresso trajectory file
inverse.espressopp |  |
inverse.espressopp.command | python3 | Command to run espresso (name or absolute path or mpirun espresso..)
inverse.espressopp.opts | ${script} | option to be given to espresso program, use ${script} in there
inverse.espressopp.first_frame | 0 | trash the given number of frames at the beginning of trajectory
inverse.filelist |  | these files are copied to each iteration step
inverse.gnuplot |  |
inverse.gnuplot.bin | gnuplot | gnuplot binary to use
inverse.gromacs |  | gromacs specific options
inverse.gromacs.conf | conf.gro | Name of the coordinate file read by grompp
inverse.gromacs.conf_out | confout.gro | Name of the original outcome coordinate written by mdrun
inverse.gromacs.density |  |
inverse.gromacs.density.block_length |  | Length of the block for the error analysis
inverse.gromacs.density.with_errors | no | calculate error on the density: yes/no
inverse.gromacs.equi_time | 0 | begin analysis after this time when using gromacs (max of this and first_frame is used)
inverse.gromacs.first_frame | 0 | trash the given number of frames at the beginning of trajectory (max of this and first_frame is used)
inverse.gromacs.g_energy |  |
inverse.gromacs.g_energy.bin | /usr/bin/gmx_d energy | Name (or absolute path) of the g_energy binary
inverse.gromacs.g_energy.opts |  | Additional options to Gromacs g_energy (e.g. -P 1)
inverse.gromacs.g_energy.pressure |  | options for pressure calculation using g_energy
inverse.gromacs.g_energy.pressure.allow_nan | no | is nan an allowed result: yes/no
inverse.gromacs.g_energy.topol |  | Gromacs binary topol (tpr) file to use by g_energy
inverse.gromacs.gmxrc |  | GMXRC to source at the startup
inverse.gromacs.grompp |  |
inverse.gromacs.grompp.bin | /usr/bin/gmx_d grompp | Name (or absolute path) of the grompp binary
inverse.gromacs.grompp.opts |  | Additional options to Gromacs grompp (e.g. -maxwarn 1)
inverse.gromacs.index | index.ndx | Gromacs grompp index file to used by grompp
inverse.gromacs.log |  | Separate log file for gromacs programs (useful with mdrun -v)
inverse.gromacs.mdp | grompp.mdp | Gromacs mdp file to be used by grompp
inverse.gromacs.mdrun |  |
inverse.gromacs.mdrun.checkpoint | state.cpt | Name of the checkpint to use in case of restarted simulation
inverse.gromacs.mdrun.command | /usr/bin/gmx_d mdrun | Command to run mdrun (name or absolute path or mpirun mdrun..)
inverse.gromacs.mdrun.multidir |  | List of directories for multidir simulations
inverse.gromacs.mdrun.opts |  | Additional options to Gromacs mdrun (e.g. -nosum)
inverse.gromacs.pot_max | 1000000 | cut the potential at this value (gromacs bug)
inverse.gromacs.pre_simulation | no | A pre simulation (e.g. minimization / equilibration ) is a simulation with a different mdp/topol/index
inverse.gromacs.pre_simulation.index |  | Gromacs grompp index file to used by grompp in the pre simulation
inverse.gromacs.pre_simulation.mdp |  | Gromacs mdp file to be used by grompp in the pre simulation
inverse.gromacs.pre_simulation.topol_in |  | Gromacs text topol (top) file to use by grompp in the pre simulation
inverse.gromacs.ref |  | Options for the case that calculation of reference system is needed
inverse.gromacs.ref.equi_time | 0 | begin analysis after this time when using gromacs (max of this and first_frame is used)
inverse.gromacs.ref.first_frame | 0 | trash the given number of frames at the beginning of trajectory (max of this and first_frame is used)
inverse.gromacs.ref.mapping |  | Mapping to apply on the coarse-grained topology, use autogenerated ones (cg.inverse.optimizer.mapping.output) and given ones (map other components)
inverse.gromacs.ref.rdf |  | Contains options for Reference rdf calculation
inverse.gromacs.ref.rdf.opts |  | Extra options to give to csg_stat (e.g. –nframes 100)
inverse.gromacs.ref.topol |  | Reference binary topology(global or local path)
inverse.gromacs.ref.traj |  | Reference trajectory(global or local path)
inverse.gromacs.rdf |  |
inverse.gromacs.rdf.block_length |  | Length of the block for the error analysis
inverse.gromacs.rdf.map |  | Space separated list of special mapping file(s) for rdf calculations needed for bonded interactions
inverse.gromacs.rdf.with_errors | no | calculate error on the rdf: yes/no
inverse.gromacs.table_bins | 0.002 | grid for gromacs xvg table
inverse.gromacs.table_end |  | extend the gromacs xvg tables to this value
inverse.gromacs.temp_check | yes | check kBT against t_ref in mdp file: yes/no
inverse.gromacs.topol_in | topol.top | Gromacs text topology (top) file read by grompp
inverse.gromacs.topol | topol.tpr | Gromacs binary topology (tpr) file to be written by grompp and used for the simlation
inverse.gromacs.traj | traj.xtc | Gromacs trajectory file to use
inverse.gromacs.trjcat |  |
inverse.gromacs.trjcat.bin | /usr/bin/gmx_d trjcat | Name (or absolute path) of the trjcat binary
inverse.hoomd-blue |  |
inverse.hoomd-blue.command | hoomd | Command to run hoomd-blue (name or absolute path or mpirun ..)
inverse.hoomd-blue.opts | ${script} | option to be given to hoomd-blue program, use ${script} in there
inverse.imc |  | general imc specific options
inverse.imc.default_reg | 0 | default magnitude for regularization parameter if not given for the group explicitly, default =0
inverse.lammps |  | general lammps specific options
inverse.lammps.command | lmp | command to run lammps (name or absolute path or mpirun lammps..)
inverse.lammps.script |  | lammps script to run
inverse.lammps.opts | -in ${script} | option to be given to lammps program, use ${script} in there
inverse.lammps.traj |  | trajectory file to be created by lammps, use a format like xyz, which can be read by csg_stat
inverse.lammps.pressure_file |  | pressure file generated by lammps, use “fix print” in lammps input (e.g., “fix pressure all print 50 “${mypress}” file lammps.pressure screen no title “LAMMPS_PRESSURE” “ ; pressure_file would be lammps.pressure in this example). The title can be anything as VOTCA skips over this line as a header when parsing
inverse.sim_prog |  | options, which apply to all simulation programs
inverse.sim_prog.command |  | Command to run for the simulation (name or absolute path or mpirun XXX ..)
inverse.sim_prog.conf |  | Name of the coordinate file read by the simulation program (if needed)
inverse.sim_prog.conf_out |  | Name of the original outcome coordinate written by simulation program (if any)
inverse.sim_prog.equi_time | 0 | begin analysis after this time (max of this and first_frame is used)
inverse.sim_prog.density |  |
inverse.sim_prog.density.block_length |  | Length of the block for the error analysis
inverse.sim_prog.density.with_errors | no | calculate error on the density: yes/no
inverse.sim_prog.first_frame | 0 | trash the given number of frames at the beginning of trajectory (max of this and first_frame is used)
inverse.sim_prog.imc |  |
inverse.sim_prog.imc.topol |  | Special topology file to be used for csg_stat used in imc
inverse.sim_prog.imc.traj |  | Special trajectory file to be used for csg_stat used in imc
inverse.sim_prog.re |  |
inverse.sim_prog.re.topol |  | Special topology file to be used for csg_reupdate
inverse.sim_prog.re.traj |  | Special trajectory file to be used for csg_reupdate
inverse.sim_prog.rdf |  |
inverse.sim_prog.rdf.block_length |  | Length of the block for the error analysis
inverse.sim_prog.rdf.map |  | Space separated list of special mapping file(s) for rdf calculations needed for bonded interactions
inverse.sim_prog.rdf.topol |  | Special topology file to be used for csg_stat
inverse.sim_prog.rdf.traj |  | Special trajectory file to be used for csg_stat
inverse.sim_prog.rdf.with_errors | n | calculate error on the rdf: yes/no
inverse.sim_prog.topol |  | General topology file to be use if no special one is specified
inverse.sim_prog.traj |  | trajectory file to be created by the simulation program
inverse.sim_prog.script |  | simulation script to run (if any)
inverse.sim_prog.opts |  | option to be given to simulation program, use ${script} in there
inverse.re |  | general options for realtive entropy method
inverse.re.csg_reupdate |  |
inverse.re.csg_reupdate.opts |  | options for the csg_reupdate command
inverse.average |  |
inverse.average.steps | 1 | number of steps to be used for average computation. For relative entropy method, these many last iteration steps are used to compute average CG potentials or parameters or both.
inverse.initial_configuration | maindir | what initial configuration to use in every step: maindir/laststep/nowhere.
inverse.iterations_max |  | do the given number of iterations (-1=inf, 0=only step_000)
inverse.kBT |  | kBT in KJ/mol (i.e. XXX K * 0.00831451)
inverse.log_file | inverse.log | name of the log file
inverse.map |  | Special mapping file(s) for rdf calculations needed for bonded interactions
inverse.method |  | method to be performed: ibi/iie/imc/ft/optimizer
inverse.iie |  | general options for the IIE schemes (hncgn/ihnc/hncn/pygn/ipy/pyn)
inverse.iie.initial_guess |  | Settings for the initial guess
inverse.iie.initial_guess.method | ie | Method for the initial potential guess: table/bi/ie
inverse.iie.initial_guess.closure |  | OZ equation closure in case of method=ie: hnc/py
inverse.iie.initial_guess.ignore_intramolecular_correlation | false | If true, the initial guess will ignore the presence of intramolecular correlation in the CG molecule.
inverse.iie.method | gauss-newton | Update method to use: gauss-newton/newton/newton-mod. For example closure=hnc + method=gauss-newton will result in the HNCGN method. newton_mod is a modified newton scheme that results in an IBI like expression e.g. IHNC.
inverse.iie.closure | hnc | OZ equation closure for the IIE update: hnc/py
inverse.iie.ignore_intramolecular_correlation | false | If true, the IIE updates (not the initial guess) will ignore the presence of intramolecular correlation in the CG molecule.
inverse.iie.cut_off |  | Cut-off used for non-bonded potenitals in MD. Potential will be set to zero beyond this point.
inverse.iie.g_extrap_factor | 1.0 | Lenght factor by which RDF will be extrapolated
inverse.iie.cut_jacobian | true | Wether to cut the Jacobian before multiplying with Δg. Only for Newton methods
inverse.iie.densities |  | List of densities of the beads, sorted by bead name. TODO: replace by automatic calculation.
inverse.iie.n_intra |  | List of n_intra, the number of equal beads, sorted by bead name. TODO: replace by automatic calculation.
inverse.iie.pressure_constraint | none | Apply pressure constraint. Only for hncgn/pygn
inverse.iie.extrap_near_core | power | Method for extrapolation in and close to core region. Valid values are: power (default), constant, none
inverse.iie.fix_near_cut_off | full-deriv | Method for fixing discontinuity at end of potential. Valid values are: full-deriv (default), none
inverse.iie.verbose | true | Print some info and dump compressed numpy arrays. Valid values are: true (default), false
inverse.optimizer |  |
inverse.optimizer.cma |  | general options for the cma optimizer
inverse.optimizer.cma.eps |  | standard epsilon, in which the best solution is searched
inverse.optimizer.type |  | Type of optimizer to be used
inverse.program | gromacs | simulation package to be used (gromacs/espresso/lammps)
inverse.restart_file | restart_points.log | Name of the restart file in case a step has to be resumed
inverse.dist_min | 1e-10 | minimal value for the rdf to consider for initial guess of the potential)
inverse.scriptpath |  | list of directories for user scripts (e.g. $PWD) separated by a colon (like PATH)
inverse.simulation |  | simulation options
inverse.simulation.background | no | tells csg_inverse that simulation was send to the backgroud
inverse.simulation.tasks | auto | number of threads to use for csg_stat
inverse.scale |  | update scaling factor for the relative entropy update
nbsearch | grid | Grid search algorithm, simple (N square search) or grid
bonded |  | Interaction specific option for bonded interactions, see the cg.non-bonded section for all options
bonded.dlpoly |  |
bonded.dlpoly.header |  | Header of the interaction in dlpoly TABBND or TABANG file. The header should be a unique set of the interaction-site names, and these should match the corresponding names specified in the mapping file.
bonded.name |  | Name of the bonded interaction. The name can be arbitrary but should be unique. For bonded interactions, this should match the name specified in the mapping file.
bonded.periodic | 0 | set to 1 when calculating bond dihedral potentials with csg_fmatch -> enforces periodicity of potential. (default is 0)
non-bonded |  | Interaction specific option for non-bonded interactions
non-bonded.dlpoly |  |
non-bonded.dlpoly.header |  | Header of the interaction in dlpoly TABLE file. The header should be a unique pair of the interaction-site names, and these should match the corresponding names specified in the mapping file.
non-bonded.name |  | Name of the interaction. The name can be arbitrary but should be unique. For bonded interactions, this should match the name specified in the mapping file.
non-bonded.type1 |  | Bead type 1 of non-bonded interaction.
non-bonded.type2 |  | Bead type 2 of non-bonded interaction.
non-bonded.bondtype |  | Internal alias for “non-bonded” or “bonded”, set automatically
non-bonded.min |  | Lower bound of interval for potential table in which calculations are performed. Should be set based on reference distributions.
non-bonded.max |  | Upper bound of interval for potential table in which calculations are performed. Should be set based on reference distributions.
non-bonded.step |  | Step size of interval for potential table in which calculations are performed. If step site is too small, lots of statistics is needed ( long runs ). If it’s too big, features in the distribtuion/potentials might get lost.
non-bonded.fmatch |  | Force matching options
non-bonded.fmatch.min |  | Minimum value of interval for distribution sampled in atomistic MD simulation. One can get this number by looking at the distribution function for this interaction. For non-bonded interactions it’s the distance to the rdf start. For CG bonds and angles the variable has the similar meaning ( note, that for angles it is specified in radians ).
non-bonded.fmatch.max |  | Maximum value of interval for distribution sampled in atomistic MD simulation. One can get this number by looking at the distribution function for this interaction. For non-bonded interactions it’s the cut-off of the interaction.
non-bonded.fmatch.step |  | grid spacing for the spline, which represents the interaction. This parameter should not be too big, otherwise you might lose some features of the interaction potential, and not too small either, otherwise you will have unsampled bins which result in an ill-defined equation system and NaNs in the output.
non-bonded.fmatch.out_step |  | Grid spacing for the output grid. Normally, one wants to have this parameter smaller than fmatch.step, to have a smooth curve, without additional spline interpolation. As a rule of thumb we normally use fmatch.out_step which is approximately 5 times smaller than fmatch.step.
non-bonded.re |  | Relative entropy options
non-bonded.re.function |  | Functional form for the potential. Available functional forms: lj126 (Lennard-Jones 12-6), ljg (Lennard-Jones 12-6 plus Gaussian), and cbspl (uniform cubic B-splines).
non-bonded.re.cbspl |  | options specific to cbspl function form

non-bonded.re.cbspl.nknots

Number of knot values to be used for the cbspl functional
form. Uniform grid size of the CBSPL depends on this parameter;
for fixed potential range more the nknots smaller the
grid spacing. Make sure grid spacing is sufficiently large
and enough CG simulation steps are performed such that
the bins at distance greater than the minimum distance
are sampled sufficiently otherwise ill-defined system
of equation would give NaNs in the output.

non-bonded.inverse |  | Contains all information relevant to iterative process
non-bonded.inverse.target |  | target distribution (e.g. rdf) which is tried to match during iterations to match
non-bonded.inverse.p_target |  | pressure contribution of this interaction
non-bonded.inverse.particle_dens |  | particle density of this species (for wjk pressure correction)
non-bonded.inverse.do_potential | 1 | Update cycle for the potential update. 1 means update, 0 don’t update. 1 1 0 means update 2 iterations, then don’t one iteration update, then repeat.
non-bonded.inverse.espresso |  | Espresso specific options for this interations
non-bonded.inverse.espresso.table |  | Name of file for tabulated potential of this interaction. This fill will be created from the internal tabulated potential format in every step. Note, though, that the original espresso script needs to contain the name of that table as the tabulated interaction (see tutorial methanol ibi_espresso for details).
non-bonded.inverse.espressopp |  | Espresso++ specific options for this interations
non-bonded.inverse.hoomd-blue |  | HOOMD-blue specific options for this interations
non-bonded.inverse.gromacs |  | Gromacs specific options for this interations
non-bonded.inverse.gromacs.table |  | Name of file for tabulated potential of this interaction. This fill will be created from the internal tabulated potential format in every step.
non-bonded.inverse.sim_prog |  | interaction specific options, which apply to all simulation programs
non-bonded.inverse.sim_prog.table |  | Name of file for tabulated potential of this interaction. This fill will be created from the internal tabulated potential format in every step. Note, though, that the original simulation script needs to contain the name of that table as the tabulated interaction (see tutorial methanol ibi_espresso for details).
non-bonded.inverse.sim_prog.table_begin |  | Start of the tabulated potential of this interaction. (Automatic for gromacs)
non-bonded.inverse.sim_prog.table_end |  | End of the tabulated potential of this interaction. (Automatic for gromacs)
non-bonded.inverse.sim_prog.table_left_extrapolation |  | Extrapolation function to use on the left. Default: exponential(non-bonded), linear (bonded), Options: constant linear quadratic exponential sasha
non-bonded.inverse.sim_prog.table_right_extrapolation |  | Extrapolation function to use on the right. Default: constant(non-bonded), linear (bonded), Options: constant linear quadratic exponential sasha
non-bonded.inverse.sim_prog.table_bins |  | Binszie of the tabulated potential of this interaction. (gromacs uses a non interaction specific option)
non-bonded.inverse.imc |  | section containing inverse monte carlo specific options.
non-bonded.inverse.imc.group |  | Group of interaction. Cross-correlations of all members of a group are taken into account for calculating the update. If no cross correlations should be calculated, interactions have to be put into different groups. Group ‘none’ is completely ignored and update_potential needs to be zero for the respective interactions.
non-bonded.inverse.lammps |  | lammps specific options for this interations
non-bonded.inverse.lammps.scale | 1 | x-axis scaling factor for the potential output, can be used to convert VOTCA units, nm, to other units, e.g. angstroms
non-bonded.inverse.lammps.table |  | Name of file for tabulated potential of this interaction. This fill will be created from the internal tabulated potential format in every step. Note, though, that the lammps script needs to contain the name of that table as the tabulated interaction and the interaction is stored in the VOTCA section of the file..
non-bonded.inverse.lammps.y_scale | 1 | y-axis scaling factor for the potential output, can be used to convert VOTCA units, kJ/mol, to other units, e.g. kcal/mol
non-bonded.inverse.post_add |  | Additional post processing of U after dU added to potential. This is a list of scripts separated by spaces which are called. See section on iterative framework for details.
non-bonded.inverse.post_add_options |  | Contains all options of post add scripts
non-bonded.inverse.post_add_options.compress |  | Contains all options of the postadd compress sripts
non-bonded.inverse.post_add_options.compress.filelist |  | Files to be compressed
non-bonded.inverse.post_add_options.compress.program_opts | -9 | Option to give to the compression command
non-bonded.inverse.post_add_options.compress.program | gzip | Compression command to run
non-bonded.inverse.post_add_options.convergence |  |
non-bonded.inverse.post_add_options.convergence.weight | 1 | weight factors for the convergence of this interaction, should be a list of same length as inverse.post_add_options.convergence.what
non-bonded.inverse.post_add_options.convergence.what | dist | list from what to calc the convergence: dist pot, ..
non-bonded.inverse.post_add_options.convergence.base | tgt | what base values to be used to compute convergene error: tgt, cur, ..
non-bonded.inverse.post_add_options.convergence.norm | 1 | which norm to use to compute error: 1 first norm, 2 second norm
non-bonded.inverse.post_add_options.copyback |  | Contains all options of the postadd copyback sripts
non-bonded.inverse.post_add_options.copyback.filelist |  | File to be copied to back to maindir
non-bonded.inverse.post_add_options.overwrite |  | Contains all options of the overwrite postadd scripts
non-bonded.inverse.post_add_options.overwrite.do | 1 | Cycle for overwrite postadd script (1 do, 0 do not) like do_potential.
non-bonded.inverse.post_add_options.plot |  | Contains all options of the plot postadd scripts
non-bonded.inverse.post_add_options.plot.fd | 8 | file descriptor to use, make it unique if you want to plot multiple things
non-bonded.inverse.post_add_options.plot.gnuplot_opts |  | extra options to give to gnuplot_bin like -persist or -geometry
non-bonded.inverse.post_add_options.plot.kill |  | kill all processes with that name before ploting (e.g. gnuplot_x11), this is more reliable than using named pipes
non-bonded.inverse.post_add_options.plot.script |  | plot script to give to gnuplot
non-bonded.inverse.post_add_options.average |  |
non-bonded.inverse.post_add_options.average.what |  | list for which averages of last few steps are to computed: param, pot, … For relative entropy method, specify param before pot.
non-bonded.inverse.post_update |  | Additional post-processing of dU before added to potential. This is a list of scripts separated by spaces which are called. See section on iterative framework for details.
non-bonded.inverse.post_update_options |  | Contains all options of post update scripts
non-bonded.inverse.post_update_options.cibi |  | Contains all options of the Kirkwood-Buff integral corrections scripts
non-bonded.inverse.post_update_options.cibi.do | 1 | Update cycle for the Kirkwood-Buff integral correction (1 do, 0 do not). To do the correction every third step specify “0 0 1”, similar to do_potential
non-bonded.inverse.post_update_options.cibi.kbint_with_errors | no | calculate errors on the Kirkwood-Buff integral: yes/no
non-bonded.inverse.post_update_options.extrapolate |  |
non-bonded.inverse.post_update_options.extrapolate.points | 5 | Number of point to calculate the average from for the extrapolation
non-bonded.inverse.post_update_options.ibi |  | Contains all options of the IBI post-update script
non-bonded.inverse.post_update_options.ibi.do | 1 | Update cycle for the IBI post-update (1 do, 0 do not). To do the post-update every third step specify “0 0 1”, similar to do_potential
non-bonded.inverse.post_update_options.kbibi |  | Contains all options of the Kirkwood-Buff ramp corrections scripts
non-bonded.inverse.post_update_options.kbibi.do | 1 | Update cycle for the Kirkwood-Buff ramp correction (1 do, 0 do not). To do the correction every third step specify “0 0 1”, similar to do_potential
non-bonded.inverse.post_update_options.kbibi.factor |  | scaling factor for the ramp correction
non-bonded.inverse.post_update_options.kbibi.kbint_with_errors | no | calculate errors on the Kirkwood-Buff integral: yes/no
non-bonded.inverse.post_update_options.kbibi.r_ramp |  | cutoff of the ramp
non-bonded.inverse.post_update_options.kbibi.start |  | Where to start averaging the Kirkwood-Buff integral for the ramp
non-bonded.inverse.post_update_options.kbibi.stop |  | Where to stop averaging the Kirkwood-Buff integral for the ramp
non-bonded.inverse.post_update_options.lj |  | Contains all options of the Lennard-Jones potential update
non-bonded.inverse.post_update_options.lj.c6 |  | The c6 value for the extra LJ potential
non-bonded.inverse.post_update_options.lj.c12 |  | The c12 value for the extra LJ potential
non-bonded.inverse.post_update_options.pressure |  | Contains all options of the pressure correction scripts
non-bonded.inverse.post_update_options.pressure.do | 1 | Update cycle for the pressure correction (1 do, 0 do not). To do pressure correction every third step specify “0 0 1”, similar to do_potential
non-bonded.inverse.post_update_options.pressure.simple |  | Contains all options of the simple pressure correction
non-bonded.inverse.post_update_options.pressure.simple.max_A | 0.1 | maximum prefactor in units of kBT
non-bonded.inverse.post_update_options.pressure.simple.scale |  | slope of the simple pressure correction
non-bonded.inverse.post_update_options.pressure.ptype |  | Generic Pressure correction options
non-bonded.inverse.post_update_options.pressure.ptype.max_A |  | maximum prefactor in units of kBT
non-bonded.inverse.post_update_options.pressure.ptype.scale |  | slope of the pressure correction
non-bonded.inverse.post_update_options.pressure.type | simple | Pressure correction type, can be simple or wjk
non-bonded.inverse.post_update_options.pressure.wjk |  | Contains all options of the wjk pressure correction
non-bonded.inverse.post_update_options.pressure.wjk.max_A | 0.1 | maximum prefactor in units of kBT
non-bonded.inverse.post_update_options.pressure.wjk.scale | 1.0 | extra scaling factor of pressure wjk correction
non-bonded.inverse.post_update_options.scale | 1.0 | scale factor for the update
non-bonded.inverse.post_update_options.smooth |  | Contains all options of the post_update smooth script
non-bonded.inverse.post_update_options.smooth.iterations | 1 | number of triangular smooth to be performed
non-bonded.inverse.post_update_options.splinesmooth |  | Contains all options of the post_update spline smooth script
non-bonded.inverse.post_update_options.splinesmooth.step |  | grid spacing for spline fit when doing spline smoothing
non-bonded.inverse.optimizer |  |
non-bonded.inverse.optimizer.density |  | Contains all options for the density calculation of the optimizer
non-bonded.inverse.optimizer.density.axis | x | Axis along which the density is calculated
non-bonded.inverse.optimizer.density.min |  | Lower bound of interval in which density calculation is performed.
non-bonded.inverse.optimizer.density.max |  | Upper bound of interval in which density calculation is performed.
non-bonded.inverse.optimizer.density.step |  | Step size of interval in which density calculation is performed.
non-bonded.inverse.optimizer.density.scale | 1.0 | Scaling factor for density

non-bonded.inverse.optimizer.density.molname

The molname of this interaction

non-bonded.inverse.optimizer.density.target |  | Filename of the target denstiy distribution in the maindir
non-bonded.inverse.optimizer.function |  | Functional form of the interaction, using parameters in here
non-bonded.inverse.optimizer.functionfile |  | If the function is very complicated it can be defined in this files, which is used as an header
non-bonded.inverse.optimizer.mapping |  | option related to mapping changes
non-bonded.inverse.optimizer.mapping.change | no | Does the mapping change in optimization: yes/no
non-bonded.inverse.optimizer.mapping.output | no | Output file name for mapping
non-bonded.inverse.optimizer.mapping.template |  | template for the mapping optimization
non-bonded.inverse.optimizer.parameters |  | Parameters to be fitted by the optimizer for this interaction. Note that the parameter names are global
non-bonded.inverse.optimizer.pressure |  | Contains all options for the pressure calculation of the optimizer
non-bonded.inverse.optimizer.pressure.undef |  | Pressure to use if pressure from the simulation was nan (use a big number)
non-bonded.inverse.optimizer.rdf |  | Contains all options for the rdf calculation of the optimizer
non-bonded.inverse.optimizer.rdf.target |  | Filename of the target rdf in the maindir
non-bonded.inverse.optimizer.rdf.weight |  | Weighting function for calculating the convergency of the rdf
non-bonded.inverse.optimizer.rdf.weightfile |  | File with the weighting function definition calculating the rdf
non-bonded.inverse.optimizer.targets | rdf | Targets to be fitted by the optimizer
non-bonded.inverse.optimizer.target_weights | 1 | Weight of the targets, amount has to be the same as of targets

## Scripts

Scripts are used by `csg_call` and `csg_inverse`. The script table commonly used (compare `csg_call –list`):

Script calls can be overwritten by adding a similar line with the 3rd column changed from the original `csg_table` in directory list in the `<scriptdir>` property of the settings xml file.

List of the default scripts:

Key1 | Key2 | Scriptname
--- | --- | ---
tag | file | tag_file.sh
dummy | dummy | dummy.sh
functions | common | functions_common.sh
csg | master | inverse.sh
check | csg_xml | check_csg_xml.py
prepare | ibi | prepare_generic.sh
prepare | iie | prepare_iie.sh
prepare | imc | prepare_imc.sh
prepare | generic | prepare_generic.sh
prepare | optimizer | prepare_optimizer.sh
prepare | re | prepare_re.sh
prepare_single | ibi | prepare_generic_single.sh
prepare_single | imc | prepare_generic_single.sh
prepare_single | generic | prepare_generic_single.sh
prepare_single | optimizer | prepare_optimizer_single.sh
initstep | ibi | initialize_step_generic.sh
initstep | iie | initialize_step_generic.sh
initstep | imc | initialize_step_generic.sh
initstep | optimizer | initialize_step_optimizer.sh
initstep | re | initialize_step_re.sh
add_pot | ibi | add_pot_generic.sh
add_pot | iie | add_pot_generic.sh
add_pot | imc | add_pot_generic.sh
add_pot | optimizer | dummy.sh
add_pot | re | dummy.sh
pre_update | ibi | dummy.sh
pre_update | iie | dummy.sh
pre_update | imc | dummy.sh
pre_update | optimizer | dummy.sh
pre_update | re | pre_update_re.sh
post_update | ibi | post_update_generic.sh
post_update | iie | post_update_generic.sh
post_update | imc | post_update_generic.sh
post_update | optimizer | dummy.sh
post_update | re | post_update_generic.sh
post_update_single | ibi | post_update_generic_single.sh
post_update_single | iie | post_update_generic_single.sh
post_update_single | imc | post_update_generic_single.sh
post_update_single | re | post_update_re_single.sh
postupd | scale | postupd_scale.sh
postupd | pressure | postupd_pressure.sh
postupd | lj | postupd_addlj.sh
postupd | splinesmooth | postupd_splinesmooth.sh
postupd | smooth | postupd_smooth.sh
postupd | shift | postadd_shift.sh
postupd | dummy | postadd_dummy.sh
postupd | tag | tag_file.sh
postupd | extrapolate | postupd_extrapolate.sh
postupd | kbibi | postupd_kbibi_correction.sh
postupd | cibi | postupd_cibi_correction.sh
postupd | ibi | postupd_ibi.sh
post | add | post_add.sh
post | add_single | post_add_single.sh
postadd | tag | tag_file.sh
postadd | dummy | postadd_dummy.sh
postadd | copyback | postadd_copyback.sh
postadd | compress | postadd_compress.sh
postadd | convergence | postadd_convergence.sh
postadd | acc_convergence | postadd_acc_convergence.sh
postadd | shift | postadd_shift.sh
postadd | overwrite | postadd_overwrite.sh
postadd | plot | postadd_plot.sh
postadd | average | postadd_average.sh
postadd | smooth_at_cut_off | postadd_smooth_at_cut_off.sh
convergence_check | default | convergence_check_default.sh
resample | target | resample_target.sh
update | ibi | update_ibi.sh
update | ibi_single | update_ibi_single.sh
update | ibi_pot | update_ibi_pot.pl
update | iie | update_iie.sh
update | iie_pot | iie.py
dist | invert_iie | iie.py
rdf_incl_intra | generic | calc_rdf_generic.sh
update | imc | update_imc.sh
update | imc_single | update_imc_single.sh
optimizer | prepare_state | optimizer_prepare_state.sh
optimizer | parameters_to_potential | optimizer_parameters_to_potential.sh
optimizer | state_to_potentials | optimizer_state_to_potentials.sh
optimizer | state_to_mapping | optimizer_state_to_mapping.sh
update | optimizer | update_optimizer.sh
update | optimizer_single | update_optimizer_single.sh
optimizer_target | rdf | optimizer_target_rdf.sh
optimizer_target | density | optimizer_target_density.sh
optimizer_target | pressure | optimizer_target_pressure.sh
simplex | precede_state | simplex_downhill_processor.pl
cma | precede_state | cma_processor.py
update | re | update_re.sh
calc | target_rdf | calc_target_rdf_generic.sh
pressure_cor | simple | pressure_cor_simple.pl
pressure_cor | wjk | pressure_cor_wjk.pl
compute_lj | 12_6 | lj_126.pl
kbibi | ramp_correction | kbibi_ramp_correction.pl
calc | kbint | calc_kbint.sh
table | add | add_POT.pl
table | integrate | table_integrate.pl
table | extrapolate | table_extrapolate.pl
table | merge | merge_tables.pl
table | smooth | table_smooth.pl
table | smooth_at_cut_off | table_smooth_at_cut_off.py
table | linearop | table_linearop.pl
table | dummy | table_dummy.sh
table | get_value | table_get_value.pl
table | switch_border | table_switch_border.pl
table | compare | table_combine.pl –die –op =
table | combine | table_combine.pl
table | average | table_average.sh
table | scale | table_scale.pl
table | change_flag | table_change_flag.sh
table | functional | table_functional.sh
potential | extrapolate | potential_extrapolate.sh
potential | shift | potential_shift.pl
convert_potential | tab | table_to_tab.pl
dist | adjust | dist_adjust.pl
dist | invert | dist_boltzmann_invert.pl
tables | jackknife | tables_jackknife.pl
initstep | gromacs | initialize_step_genericsim.sh
run | gromacs | run_gromacs.sh
clean | gromacs | clean_generic.sh
presimulation | gromacs | run_gromacs.sh –pre
pressure | gromacs | calc_pressure_gromacs.sh
pressure | lammps | calc_pressure_lammps.sh
rdf | gromacs | calc_rdf_generic.sh
imc_stat | gromacs | imc_stat_generic.sh
density | gromacs | calc_density_generic.sh
convert_potential | gromacs | potential_to_gromacs.sh
convert_potentials | gromacs | potentials_to_generic.sh
convert_potential | xvg | table_to_xvg.pl
functions | gromacs | functions_gromacs.sh
initstep | espresso | initialize_step_genericsim.sh
run | espresso | run_genericsim.sh
clean | espresso | clean_generic.sh
rdf | espresso | calc_rdf_generic.sh
imc_stat | espresso | imc_stat_generic.sh
density | espresso | calc_density_generic.sh
convert_potential | espresso | potential_to_generic.sh
convert_potentials | espresso | potentials_to_generic.sh
functions | espresso | functions_genericsim.sh
convert_potential | lammps | potential_to_lammps.sh
convert_potentials | lammps | potentials_to_generic.sh
initstep | lammps | initialize_step_genericsim.sh
run | lammps | run_genericsim.sh
clean | lammps | clean_generic.sh
rdf | lammps | calc_rdf_generic.sh
imc_stat | lammps | imc_stat_generic.sh
density | lammps | calc_density_generic.sh
functions | lammps | functions_genericsim.sh
convert_potential | espressopp | potential_to_generic.sh
convert_potentials | espressopp | potentials_to_generic.sh
initstep | espressopp | initialize_step_genericsim.sh
run | espressopp | run_genericsim.sh
clean | espressopp | clean_generic.sh
rdf | espressopp | calc_rdf_generic.sh
imc_stat | espressopp | imc_stat_generic.sh
density | espressopp | calc_density_generic.sh
functions | espressopp | functions_genericsim.sh
initstep | dlpoly | initialize_step_genericsim.sh
run | dlpoly | run_genericsim.sh
clean | dlpoly | clean_generic.sh
rdf | dlpoly | calc_rdf_generic.sh
imc_stat | dlpoly | imc_stat_generic.sh
density | dlpoly | calc_density_generic.sh
functions | dlpoly | functions_dlpoly.sh
convert_potential | dlpoly | potential_to_dlpoly.sh
convert_potentials | dlpoly | potentials_to_dlpoly.sh
convert_potential | hoomd-blue | potential_to_generic.sh
convert_potentials | hoomd-blue | potentials_to_generic.sh
initstep | hoomd-blue | initialize_step_genericsim.sh
run | hoomd-blue | run_genericsim.sh
clean | hoomd-blue | clean_generic.sh
rdf | hoomd-blue | calc_rdf_generic.sh
imc_stat | hoomd-blue | imc_stat_generic.sh
density | hoomd-blue | calc_density_generic.sh
functions | hoomd-blue | functions_genericsim.sh

### add_POT.pl

#### NAME

csg_call table add - Part of the VOTCA package

#### SYNOPSIS

csg_call table add [OPTIONS]

csg_call table add [–help]

Usage: csg_call [OPTIONS] table add infile1 infile2 outfile

#### DESCRIPTION

This script adds up two potentials In addition, it does some magic tricks: + order of infiles MATTERS !!!! + if infile2 contains an undefined value, it uses the value from infile1 + if value for infile1 and infile2 are both invalid, the result is also invalid

### add_pot_generic.sh

#### NAME

csg_call add_pot ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call add_pot ibi [OPTIONS]

csg_call add_pot ibi [–help]

Usage: csg_call [OPTIONS] add_pot ibi

#### DESCRIPTION

This script adds up the tables

### calc_density_generic.sh

#### NAME

csg_call density gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call density gromacs [OPTIONS]

csg_call density gromacs [–help]

Usage: csg_call [OPTIONS] density gromacs outputfile csg_density_options

#### DESCRIPTION

This script calcs the density using csg_density

### calc_kbint.sh

#### NAME

csg_call calc kbint - Part of the VOTCA package

#### SYNOPSIS

csg_call calc kbint [OPTIONS]

csg_call calc kbint [–help]

Usage: csg_call [OPTIONS] calc kbint [options] infile outfile

#### DESCRIPTION

This script calculates the Kirkwood-Buff integral out of the rdf

#### OPTIONS

    Allowed options:

        --help                    show this help
        --clean                   remove all intermediate temp files

### calc_pressure_gromacs.sh

#### NAME

csg_call pressure gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call pressure gromacs [OPTIONS]

csg_call pressure gromacs [–help]

Usage: csg_call [OPTIONS] pressure gromacs outfile

#### DESCRIPTION

This script calcs the pressure for gromacs and writes it to outfile

Used external packages: gromacs

### calc_pressure_lammps.sh

#### NAME

csg_call pressure lammps - Part of the VOTCA package

#### SYNOPSIS

csg_call pressure lammps [OPTIONS]

csg_call pressure lammps [–help]

Usage: csg_call [OPTIONS] pressure lammps outfile

#### DESCRIPTION

This script calcs the pressure for lammps and writes it to outfile

Used external packages: lammps

### calc_rdf_generic.sh

#### NAME

csg_call rdf_incl_intra generic - Part of the VOTCA package

#### SYNOPSIS

csg_call rdf_incl_intra generic [OPTIONS]

csg_call rdf_incl_intra generic [–help]

Usage: csg_call [OPTIONS] rdf_incl_intra generic [–help] [–include-intra]

#### DESCRIPTION

using generic csg tools (csg_stat)

With –include-intra intramolecular interactions are included and the distributions are saved as .dist-incl.new.

### calc_target_rdf_generic.sh

#### NAME

csg_call calc target_rdf - Part of the VOTCA package

#### SYNOPSIS

csg_call calc target_rdf [OPTIONS]

csg_call calc target_rdf [–help]

Usage: csg_call [OPTIONS] calc target_rdf

#### DESCRIPTION

This script calculated reference rdf using generic csg_stat

### check_csg_xml.py

#### NAME

csg_call check csg_xml - Part of the VOTCA package

#### SYNOPSIS

csg_call check csg_xml [OPTIONS]

csg_call check csg_xml [–help]

#### DESCRIPTION

Check the csg XML file for invalid tags. It works by comparing to the tags in the default XML file.

#### OPTIONS

    positional arguments:

      csg_xml_file          csg XML file
      csg_xml_defaults_file
                            csg XML defaults file

    options:

      -h, --help            show this help message and exit

### clean_generic.sh

#### NAME

csg_call clean gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call clean gromacs [OPTIONS]

csg_call clean gromacs [–help]

Usage: csg_call [OPTIONS] clean gromacs

#### DESCRIPTION

This script cleans up after a simulation step

### cma_processor.py

#### NAME

csg_call cma precede_state - Part of the VOTCA package

#### SYNOPSIS

csg_call cma precede_state [OPTIONS]

csg_call cma precede_state [–help]

Usage: %prog [options] statefile-in statefile-out

#### DESCRIPTION

#### OPTIONS

    options:

      -h, --help  show this help message and exit
      --eps EPS   tolerance for initialization

### convergence_check_default.sh

#### NAME

csg_call convergence_check default - Part of the VOTCA package

#### SYNOPSIS

csg_call convergence_check default [OPTIONS]

csg_call convergence_check default [–help]

Usage: csg_call [OPTIONS] convergence_check default

#### DESCRIPTION

Calculated the sum of all convergence files and create a file ‘stop’ if the sum is bigger than a given limit

### dist_adjust.pl

#### NAME

csg_call dist adjust - Part of the VOTCA package

#### SYNOPSIS

csg_call dist adjust [OPTIONS]

csg_call dist adjust [–help]

Usage: csg_call [OPTIONS] dist adjust [OPTIONS] <in> <out>

#### DESCRIPTION

This script adjusts a distribution in such a way that value smaller 0 will be replaces with 0.

#### EXAMPLES

    * dist_adjust.pl CG-CG.dist.tmp CG-CG.dist.new

#### OPTIONS

    Allowed options:

    -h, --help            Show this help message

### dist_boltzmann_invert.pl

#### NAME

csg_call dist invert - Part of the VOTCA package

#### SYNOPSIS

csg_call dist invert [OPTIONS]

csg_call dist invert [–help]

Usage: csg_call [OPTIONS] dist invert [OPTIONS] <in> <out>

#### DESCRIPTION

Boltzmann inverts a distribution (‘’$F(x)=-k_B T\ln g(x)$’’)

In addtion, it does some magic tricks: - do not crash when calc log(0) - choose the right normalization depending on the type of interaction - input dist should be unnormalized (like csg_stat calcs it)

#### EXAMPLES

    * dist_boltzmann_invert.pl --kbT 2.49435 --min 0.001 tmp.dist tmp.pot

#### OPTIONS

    Allowed options:

        --kbT NUMBER      use NUMBER as ''$k_B*T$'' for the entropic part
        --type XXX        change the type of interaction
                          Default: non-bonded
        --min XXX         minimum value to consider
                          Default: 1e-10
    -h, --help            Show this help message

    Possible types: non-bonded, bond, angle, dihedral

### dummy.sh

#### NAME

csg_call dummy dummy - Part of the VOTCA package

#### SYNOPSIS

csg_call dummy dummy [OPTIONS]

csg_call dummy dummy [–help]

Usage: csg_call [OPTIONS] dummy dummy

#### DESCRIPTION

dummy script (does nothing), useful to overwrite default by nothing

### functions_common.sh

#### NAME

csg_call functions common - Part of the VOTCA package

#### SYNOPSIS

csg_call functions common [OPTIONS]

csg_call functions common [–help]

#### DESCRIPTION

This file defines some commonly used functions:

- msg – echos a msg on the screen and send it to the logfile if logging is enabled

- show_callstack – show the current callstack

- die – make the iterative frame work stopp

- cat_external – takes a two tags and shows content of the according script

- do_external – takes two tags, find the according script and excute it

- critical – executes arguments as command and calls die if not succesful

- csg_get_interaction_property – gets an interaction property from the xml file, should only be called from inside a for_all loop or with –all option

- csg_get_property – get an property from the xml file

- trim_all – make multiple lines into one and strip white space from beginning and the end, reads from stdin

- mark_done – mark a task (1st argument) as done in the restart file

- is_done – checks if something is already do in the restart file

- is_int – checks if all arguments are integers

- to_int – convert all given numbers to int using awk’s int function

- is_part – checks if 1st argument is part of the set given by other arguments

- has_duplicate – check if one of the arguments is double

- remove_duplicate – remove duplicates list of arguments

- is_num – checks if all arguments are numbers

- get_stepname – get the dir name of a certain step number (1st argument)

- get_current_step_dir – print the directory of the current step

- get_last_step_dir – print the directory of the last step

- get_main_dir – print the main directory

- get_current_step_nr – print the main directory

- get_step_nr – print the number of a certain step directory (1st argument)

- cp_from_main_dir – copy something from the main directory

- cp_from_last_step – copy something from the last step

- get_time – gives back current time in sec from 1970

- get_number_tasks – get the number of possible tasks from the xml file or determine it automatically under some systems

- get_table_comment – get comment lines from a table and add common information, which include the git id and other information

- csg_inverse_clean – clean out the main directory

- check_path_variable – check if a variable contains only valid paths

- add_to_csgshare – added an directory to the csg internal search directories

- globalize_dir – convert a local directory to a global one

- globalize_file – convert a local file name to a global one

- source_function – source an extra function file

- csg_banner – print a big banner

- csg_calc – simple calculator, a + b, …

- show_csg_tables – show all concatinated csg tables

- get_command_from_csg_tables – print the name of script belonging to certain tags (1st, 2nd argument)

- source_wrapper – print the full name of a script belonging to two tags (1st, 2nd argument)

- find_in_csgshare – find a script in csg script search path

- enable_logging – enables the logging to a certain file (1st argument) or the logfile taken from the xml file

- get_restart_file – print the name of the restart file to use

- check_for_obsolete_xml_options – check xml file for obsolete options

- command_not_found_handle – print and error message if a command or a function was not found

### functions_dlpoly.sh

#### NAME

csg_call functions dlpoly - Part of the VOTCA package

#### SYNOPSIS

csg_call functions dlpoly [OPTIONS]

csg_call functions dlpoly [–help]

#### DESCRIPTION

Useful functions for the generic simulation program: * simulation_finish – checks if simulation is finished * checkpoint_exist – check if a checkpoint exists (REVIVE _and_ REVCON - both are needed!) * get_simulation_setting – gets parameter a parameter from the settings file (1st argument) from simulation setting file (not implemented)

### functions_genericsim.sh

#### NAME

csg_call functions espresso - Part of the VOTCA package

#### SYNOPSIS

csg_call functions espresso [OPTIONS]

csg_call functions espresso [–help]

#### DESCRIPTION

Useful functions for the generic simulation program: * simulation_finish – checks if simulation is finished * checkpoint_exist – check if a checkpoint exists (not implemented) * get_simulation_setting – gets parameter a parameter from the settings file (1st argument) from simulation setting file (not implemented)

### functions_gromacs.sh

#### NAME

csg_call functions gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call functions gromacs [OPTIONS]

csg_call functions gromacs [–help]

#### DESCRIPTION

Useful functions for gromacs: * get_simulation_setting – gets a parameter (1st argument) from gromacs mdp file (default 2nd parameter) * check_temp – compares k_B T in xml with temp in mpd file * simulation_finish – checks if simulation is finished * checkpoint_exist – check if a checkpoint exists * calc_begin_time – return the max of dt*frames and eqtime * calc_end_time – return dt * nsteps * gromacs_log – redirect stdin to a separate gromacs log file, 1st argument can be the name of the command to echo if redirection takes place

Used external packages: gromacs

### iie.py

#### NAME

csg_call update iie_pot - Part of the VOTCA package

#### SYNOPSIS

csg_call update iie_pot [OPTIONS]

csg_call update iie_pot [–help]

#### DESCRIPTION

Calculate U or ΔU with Integral Equations.

#### OPTIONS

    positional arguments:

      {potential_guess,newton,newton-mod,gauss-newton}
        potential_guess     potential guess from inverting integral equation
        newton              potential update using Newton method
        newton-mod          potential update using a modified Newton method
        gauss-newton        potential update using Gauss-Newton method

    options:

      -h, --help            show this help message and exit

### imc_stat_generic.sh

#### NAME

csg_call imc_stat gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call imc_stat gromacs [OPTIONS]

csg_call imc_stat gromacs [–help]

Usage: csg_call [OPTIONS] imc_stat gromacs

#### DESCRIPTION

This script implemtents statistical analysis for the Inverse Monte Carlo Method using generic csg tools (csg_stat)

### initialize_step_generic.sh

#### NAME

csg_call initstep ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call initstep ibi [OPTIONS]

csg_call initstep ibi [–help]

Usage: csg_call [OPTIONS] initstep ibi

#### DESCRIPTION

This script implements the initialization for every step in a generic way

### initialize_step_genericsim.sh

#### NAME

csg_call initstep gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call initstep gromacs [OPTIONS]

csg_call initstep gromacs [–help]

Usage: csg_call [OPTIONS] initstep gromacs

#### DESCRIPTION

This script initializes an iteration for the generic simulation program

### initialize_step_optimizer.sh

#### NAME

csg_call initstep optimizer - Part of the VOTCA package

#### SYNOPSIS

csg_call initstep optimizer [OPTIONS]

csg_call initstep optimizer [–help]

Usage: csg_call [OPTIONS] initstep optimizer

#### DESCRIPTION

This script implements the initialization for every step in a generic way

### initialize_step_re.sh

#### NAME

csg_call initstep re - Part of the VOTCA package

#### SYNOPSIS

csg_call initstep re [OPTIONS]

csg_call initstep re [–help]

Usage: csg_call [OPTIONS] initstep re

#### DESCRIPTION

This script implements the initialization for every step of relative entropy method by csg_reupdate program

### inverse.sh

#### NAME

csg_call csg master - Part of the VOTCA package

#### SYNOPSIS

csg_call csg master [OPTIONS]

csg_call csg master [–help]

Usage: csg_call [OPTIONS] csg master [OPTIONS] –options settings.xml [clean]

#### DESCRIPTION

Start the script to run ibi, imc, etc. or clean out current dir

#### EXAMPLES

    * inverse.sh --options cg.xml
    * inverse.sh -6 --options cg.xml

#### OPTIONS

    Allowed options:

    -h, --help                    show this help
    -N, --do-iterations N         only do N iterations (ignoring settings.xml)
        --wall-time SEK           Set wall clock time
        --options FILE            Specify the options xml file to use
        --debug                   enable debug mode with a lot of information
        --nocolor                 disable colors

### kbibi_ramp_correction.pl

#### NAME

csg_call kbibi ramp_correction - Part of the VOTCA package

#### SYNOPSIS

csg_call kbibi ramp_correction [OPTIONS]

csg_call kbibi ramp_correction [–help]

Usage: csg_call [OPTIONS] kbibi ramp_correction [OPTIONS] kbint target_kbint outfile kBT min:step:max int_start:int_end ramp_factor

#### DESCRIPTION

This script calculates Kirkwood-Buff correction as described in: P. Ganguly, D. Mukherji, C. Junghans, N. F. A. van der Vegt, Kirkwood-Buff coarse-grained force fields for aqueous solutions, J. Chem. Theo. Comp., 8, 1802 (2012), doi:10.1021/ct3000958

#### OPTIONS

    Allowed options:

    -h, --help            Show this help message

### lj_126.pl

#### NAME

csg_call compute_lj 12_6 - Part of the VOTCA package

#### SYNOPSIS

csg_call compute_lj 12_6 [OPTIONS]

csg_call compute_lj 12_6 [–help]

Usage: csg_call [OPTIONS] compute_lj 12_6 outfile min:step:max C6 C12

#### DESCRIPTION

This script calculates the LJ 12-6 potential ‘’$U=C12/r^12 - C6/r^6$’’

### merge_tables.pl

#### NAME

csg_call table merge - Part of the VOTCA package

#### SYNOPSIS

csg_call table merge [OPTIONS]

csg_call table merge [–help]

Usage: csg_call [OPTIONS] table merge [OPTIONS] <source> <dest> <out>

#### DESCRIPTION

Merge two tables

#### EXAMPLES

    * merge_tables.pl intable intable2 outtable

#### OPTIONS

    Allowed options:

    -v, --version         Print version
    -h, --help            Show this help message
    --withflag            only change entries with specific flag in src
    --noflags             don't copy flags
    --novalues            don't copy values

### optimizer_parameters_to_potential.sh

#### NAME

csg_call optimizer parameters_to_potential - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer parameters_to_potential [OPTIONS]

csg_call optimizer parameters_to_potential [–help]

Usage: csg_call [OPTIONS] optimizer parameters_to_potential parametervalues

#### DESCRIPTION

This script generates a single potential (.pot.new) out a parameter value string (1st argument)

### optimizer_prepare_state.sh

#### NAME

csg_call optimizer prepare_state - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer prepare_state [OPTIONS]

csg_call optimizer prepare_state [–help]

Usage: csg_call [OPTIONS] optimizer prepare_state outputfile

#### DESCRIPTION

This script generates the initial state file and puts all in-file together

### optimizer_state_to_mapping.sh

#### NAME

csg_call optimizer state_to_mapping - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer state_to_mapping [OPTIONS]

csg_call optimizer state_to_mapping [–help]

Usage: csg_call [OPTIONS] optimizer state_to_mapping input

#### DESCRIPTION

This script generates a mapping for the reference mapping from the parameters of the active in input state using the mapping template

### optimizer_state_to_potentials.sh

#### NAME

csg_call optimizer state_to_potentials - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer state_to_potentials [OPTIONS]

csg_call optimizer state_to_potentials [–help]

Usage: csg_call [OPTIONS] optimizer state_to_potentials input output

#### DESCRIPTION

This script generates potential (.pot.new) for all interactions out the first pending line in the input state file and flags this line active in output state

### optimizer_target_density.sh

#### NAME

csg_call optimizer_target density - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer_target density [OPTIONS]

csg_call optimizer_target density [–help]

Usage: csg_call [OPTIONS] optimizer_target density

#### DESCRIPTION

Calculated the difference between rdf

### optimizer_target_pressure.sh

#### NAME

csg_call optimizer_target pressure - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer_target pressure [OPTIONS]

csg_call optimizer_target pressure [–help]

Usage: csg_call [OPTIONS] optimizer_target pressure

#### DESCRIPTION

Calculates the difference current and target pressure

### optimizer_target_rdf.sh

#### NAME

csg_call optimizer_target rdf - Part of the VOTCA package

#### SYNOPSIS

csg_call optimizer_target rdf [OPTIONS]

csg_call optimizer_target rdf [–help]

Usage: csg_call [OPTIONS] optimizer_target rdf

#### DESCRIPTION

Calculated the difference between rdf

### post_add.sh

#### NAME

csg_call post add - Part of the VOTCA package

#### SYNOPSIS

csg_call post add [OPTIONS]

csg_call post add [–help]

Usage: csg_call [OPTIONS] post add

#### DESCRIPTION

This script makes all the post update

### post_add_single.sh

#### NAME

csg_call post add_single - Part of the VOTCA package

#### SYNOPSIS

csg_call post add_single [OPTIONS]

csg_call post add_single [–help]

Usage: csg_call [OPTIONS] post add_single

#### DESCRIPTION

This script makes all the post update with backup for single pairs

### post_update_generic.sh

#### NAME

csg_call post_update ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call post_update ibi [OPTIONS]

csg_call post_update ibi [–help]

Usage: csg_call [OPTIONS] post_update ibi

#### DESCRIPTION

This script makes all the post update

### post_update_generic_single.sh

#### NAME

csg_call post_update_single ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call post_update_single ibi [OPTIONS]

csg_call post_update_single ibi [–help]

Usage: csg_call [OPTIONS] post_update_single ibi

#### DESCRIPTION

This script makes all the post update with backup for single pairs incl. backups

### post_update_re_single.sh

#### NAME

csg_call post_update_single re - Part of the VOTCA package

#### SYNOPSIS

csg_call post_update_single re [OPTIONS]

csg_call post_update_single re [–help]

Usage: csg_call [OPTIONS] post_update_single re

#### DESCRIPTION

This script makes all the post update with backup for single pairs incl. backups

### postadd_acc_convergence.sh

#### NAME

csg_call postadd acc_convergence - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd acc_convergence [OPTIONS]

csg_call postadd acc_convergence [–help]

Usage: csg_call [OPTIONS] postadd acc_convergence infile outfile

#### DESCRIPTION

postadd accumulate convergence script: accumulate ${name}.conv of all steps

### postadd_average.sh

#### NAME

csg_call postadd average - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd average [OPTIONS]

csg_call postadd average [–help]

Usage: postadd_average.sh

#### DESCRIPTION

postadd average script, calcs averages of (${name}.DIST.cur) for the past few steps and saves it to ${name}.DIST.avg DIST can be specified by average.what option

### postadd_compress.sh

#### NAME

csg_call postadd compress - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd compress [OPTIONS]

csg_call postadd compress [–help]

Usage: csg_call [OPTIONS] postadd compress

#### DESCRIPTION

postadd compress script, compresses files

### postadd_convergence.sh

#### NAME

csg_call postadd convergence - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd convergence [OPTIONS]

csg_call postadd convergence [–help]

Usage: postadd_convergence.sh

#### DESCRIPTION

postadd convergence script, calcs norm of error (${name}.DIST.BASE-${name}.DIST.new) and saves it to ${name}.conv. DIST stands for ‘dist’, but can be changed by onvergence.what option

### postadd_copyback.sh

#### NAME

csg_call postadd copyback - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd copyback [OPTIONS]

csg_call postadd copyback [–help]

Usage: csg_call [OPTIONS] postadd copyback

#### DESCRIPTION

postadd copyback script, copies files back to the maindir

### postadd_dummy.sh

#### NAME

csg_call postupd dummy - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd dummy [OPTIONS]

csg_call postupd dummy [–help]

Usage: csg_call [OPTIONS] postupd dummy infile outfile

#### DESCRIPTION

postadd dummy script (cp infile to outfile), useful to overwrite default by nothing

### postadd_overwrite.sh

#### NAME

csg_call postadd overwrite - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd overwrite [OPTIONS]

csg_call postadd overwrite [–help]

Usage: csg_call [OPTIONS] postadd overwrite infile outfile

#### DESCRIPTION

postadd overwrite script, overwrites potential of all other interactions with this one

### postadd_plot.sh

#### NAME

csg_call postadd plot - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd plot [OPTIONS]

csg_call postadd plot [–help]

Usage: csg_call [OPTIONS] postadd plot

#### DESCRIPTION

postadd plot script, send a certain plot script to gnuplot

Used external packages: gnuplot

### postadd_shift.sh

#### NAME

csg_call postupd shift - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd shift [OPTIONS]

csg_call postupd shift [–help]

Usage: csg_call [OPTIONS] postupd shift infile outfile

#### DESCRIPTION

postadd shift script, shift pot and dpot

### postadd_smooth_at_cut_off.sh

#### NAME

csg_call postadd smooth_at_cut_off - Part of the VOTCA package

#### SYNOPSIS

csg_call postadd smooth_at_cut_off [OPTIONS]

csg_call postadd smooth_at_cut_off [–help]

Usage: csg_call [OPTIONS] postadd smooth_at_cut_off infile outfile

#### DESCRIPTION

This script implements smoothing of the potential (.pot) at the cut off

### postupd_addlj.sh

#### NAME

csg_call postupd lj - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd lj [OPTIONS]

csg_call postupd lj [–help]

Usage: csg_call [OPTIONS] postupd lj infile outfile

#### DESCRIPTION

This script adds LJ 12-6 component to the CG potential

### postupd_cibi_correction.sh

#### NAME

csg_call postupd cibi - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd cibi [OPTIONS]

csg_call postupd cibi [–help]

Usage: csg_call [OPTIONS] postupd cibi infile outfile

#### DESCRIPTION

This script implemtents the post update routine for the integral Kirkwood-Buff corrections described in: T. E. de Oliveira, P. A. Netz, K. Kremer, C. Junghans, and D. Mukherji, C-IBI: Targeting cumulative coordination within an iterative protocol to derive coarse-grained models of (multi-component) complex fluids, J. Chem. Phys. (in press).

### postupd_extrapolate.sh

#### NAME

csg_call postupd extrapolate - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd extrapolate [OPTIONS]

csg_call postupd extrapolate [–help]

Usage: csg_call [OPTIONS] postupd extrapolate infile outfile

#### DESCRIPTION

This script implements extrapolation undefined region of the potential update (.dpot)

### postupd_ibi.sh

#### NAME

csg_call postupd ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd ibi [OPTIONS]

csg_call postupd ibi [–help]

Usage: csg_call [OPTIONS] postupd ibi infile outfile

#### DESCRIPTION

This script implemtents the function post update with the Inverse Boltzmann Method. This one is not like other post update methods in that the infile is ignored.

### postupd_kbibi_correction.sh

#### NAME

csg_call postupd kbibi - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd kbibi [OPTIONS]

csg_call postupd kbibi [–help]

Usage: csg_call [OPTIONS] postupd kbibi infile outfile

#### DESCRIPTION

This script implemtents the post update routine for the ramp Kirkwood-Buff corrections as described in: P. Ganguly, D. Mukherji, C. Junghans, N. F. A. van der Vegt, Kirkwood-Buff coarse-grained force fields for aqueous solutions, J. Chem. Theo. Comp., 8, 1802 (2012), doi:10.1021/ct3000958

### postupd_pressure.sh

#### NAME

csg_call postupd pressure - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd pressure [OPTIONS]

csg_call postupd pressure [–help]

Usage: csg_call [OPTIONS] postupd pressure infile outfile

#### DESCRIPTION

This script implements the pressure update

### postupd_scale.sh

#### NAME

csg_call postupd scale - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd scale [OPTIONS]

csg_call postupd scale [–help]

Usage: csg_call [OPTIONS] postupd scale infile outfile

#### DESCRIPTION

This script implements scaling of the potential update (.dpot)

### postupd_smooth.sh

#### NAME

csg_call postupd smooth - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd smooth [OPTIONS]

csg_call postupd smooth [–help]

Usage: csg_call [OPTIONS] postupd smooth infile outfile

#### DESCRIPTION

This script implements smoothing of the potential update (.dpot)

### postupd_splinesmooth.sh

#### NAME

csg_call postupd splinesmooth - Part of the VOTCA package

#### SYNOPSIS

csg_call postupd splinesmooth [OPTIONS]

csg_call postupd splinesmooth [–help]

Usage: csg_call [OPTIONS] postupd splinesmooth infile outfile

#### DESCRIPTION

This script implements smoothing of the potential update (.dpot)

### potential_extrapolate.sh

#### NAME

csg_call potential extrapolate - Part of the VOTCA package

#### SYNOPSIS

csg_call potential extrapolate [OPTIONS]

csg_call potential extrapolate [–help]

Usage: csg_call [OPTIONS] potential extrapolate [options] input output

#### DESCRIPTION

This script extrapolates a potential in the correct way depending on its type.

#### OPTIONS

    Allowed options:

        --help                    show this help
        --clean                   remove all intermediate temp files
        --type TYPE               type of the potential
                                  possible: non-bonded bond angle dihedral
        --lfct FCT                type of the left extrapolation function
                                  possible:
                                  default: exponential(non-bonded), linear (bonded)
        --rfct FCT                type of the right extrapolation function
                                  possible: constant linear quadratic exponential sasha
                                  default: constant(non-bonded), periodic(dihedral), linear (bonded)
        --avg-points INT          number of average points
                                  default: 3

### potential_shift.pl

#### NAME

csg_call potential shift - Part of the VOTCA package

#### SYNOPSIS

csg_call potential shift [OPTIONS]

csg_call potential shift [–help]

Usage: csg_call [OPTIONS] potential shift [OPTIONS] <in> <out>

#### DESCRIPTION

This script shifts the whole potential by minimum (bonded potentials) or last value (non-bonded potentials).

#### EXAMPLES

    * potential_shift.pl --type bond table.in table.out

#### OPTIONS

    Allowed options:

    -h, --help            show this help message
    --type XXX            change the type of potential
                          Default: non-bonded

    Possible types: non-bonded, bond, angle, dihedral, bonded

### potential_to_dlpoly.sh

#### NAME

csg_call convert_potential dlpoly - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potential dlpoly [OPTIONS]

csg_call convert_potential dlpoly [–help]

Usage: csg_call [OPTIONS] convert_potential dlpoly

#### DESCRIPTION

This script is a high class wrapper to convert a potential to the dlpoly format

### potential_to_generic.sh

#### NAME

csg_call convert_potential espresso - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potential espresso [OPTIONS]

csg_call convert_potential espresso [–help]

Usage: csg_call [OPTIONS] convert_potential espresso

#### DESCRIPTION

This script is a high class wrapper to convert a potential to the generic 3 column tab format used by espresso and espressopp

### potential_to_gromacs.sh

#### NAME

csg_call convert_potential gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potential gromacs [OPTIONS]

csg_call convert_potential gromacs [–help]

Usage: csg_call [OPTIONS] convert_potential gromacs [options] input output

#### DESCRIPTION

This script is a wrapper to convert a potential to gromacs

#### OPTIONS

    Allowed options:

        --help       show this help
        --clean      remove all intermediate temp files
        --no-r2d     do not converts rad to degree (scale x axis with 180/3.1415)
                     for angle and dihedral
                     Note: VOTCA calcs in rad, but gromacs in degree
        --no-shift   do not shift the potential
        --step XXX   use XXX as step for the interaction

### potential_to_lammps.sh

#### NAME

csg_call convert_potential lammps - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potential lammps [OPTIONS]

csg_call convert_potential lammps [–help]

Usage: csg_call [OPTIONS] convert_potential lammps [options] input output

#### DESCRIPTION

This script is a high class wrapper to convert a potential to the lammps format

#### OPTIONS

    Allowed options:

        --help       show this help
        --clean      remove all intermediate temp files
        --no-r2d     do not converts rad to degree (scale x axis with 180/3.1415)
                     for angle interactions
                     Note: VOTCA calcs in rad, but lammps uses degrees for angle
        --no-shift   do not shift the potential

### potentials_to_dlpoly.sh

#### NAME

csg_call convert_potentials dlpoly - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potentials dlpoly [OPTIONS]

csg_call convert_potentials dlpoly [–help]

Usage: csg_call [OPTIONS] convert_potentials dlpoly

#### DESCRIPTION

This script converts all potentials to the format needed by dlpoly

### potentials_to_generic.sh

#### NAME

csg_call convert_potentials gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potentials gromacs [OPTIONS]

csg_call convert_potentials gromacs [–help]

Usage: csg_call [OPTIONS] convert_potentials gromacs

#### DESCRIPTION

This script converts all potentials to the format needed by the simulation program

### pre_update_re.sh

#### NAME

csg_call pre_update re - Part of the VOTCA package

#### SYNOPSIS

csg_call pre_update re [OPTIONS]

csg_call pre_update re [–help]

Usage: csg_call [OPTIONS] pre_update re

#### DESCRIPTION

This script implements the pre update tasks for the Relative Entropy Method

### prepare_generic.sh

#### NAME

csg_call prepare ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare ibi [OPTIONS]

csg_call prepare ibi [–help]

Usage: csg_call [OPTIONS] prepare ibi

#### DESCRIPTION

This script prepares potentials in a generic way

### prepare_generic_single.sh

#### NAME

csg_call prepare_single ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare_single ibi [OPTIONS]

csg_call prepare_single ibi [–help]

Usage: csg_call [OPTIONS] prepare_single ibi [–help] [–use-table|–use-bi]”

#### DESCRIPTION

This script prepares the potential in step 0, using pot.in or by resampling and inverting the target distribution

Use –use-table or –use-bi to enforce the method. Otherwise it will use .pot.in if present and BI if not.

### prepare_iie.sh

#### NAME

csg_call prepare iie - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare iie [OPTIONS]

csg_call prepare iie [–help]

Usage: csg_call [OPTIONS] prepare iie

#### DESCRIPTION

This script prepares potentials in a generic way

### prepare_imc.sh

#### NAME

csg_call prepare imc - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare imc [OPTIONS]

csg_call prepare imc [–help]

Usage: csg_call [OPTIONS] prepare imc

#### DESCRIPTION

This script initializes potentials for imc

### prepare_optimizer.sh

#### NAME

csg_call prepare optimizer - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare optimizer [OPTIONS]

csg_call prepare optimizer [–help]

Usage: csg_call [OPTIONS] prepare optimizer

#### DESCRIPTION

This script initizalizes potentials for optimizer methods

### prepare_optimizer_single.sh

#### NAME

csg_call prepare_single optimizer - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare_single optimizer [OPTIONS]

csg_call prepare_single optimizer [–help]

Usage: csg_call [OPTIONS] prepare_single optimizer N

where N is the total number of parameters

#### DESCRIPTION

This script - reads sinple interaction optimizer infile - checks if the number of values are enough

### prepare_re.sh

#### NAME

csg_call prepare re - Part of the VOTCA package

#### SYNOPSIS

csg_call prepare re [OPTIONS]

csg_call prepare re [–help]

Usage: csg_call [OPTIONS] prepare re

#### DESCRIPTION

This script implements the preparation of the relative entropy method iteration

### pressure_cor_simple.pl

#### NAME

csg_call pressure_cor simple - Part of the VOTCA package

#### SYNOPSIS

csg_call pressure_cor simple [OPTIONS]

csg_call pressure_cor simple [–help]

Usage: csg_call [OPTIONS] pressure_cor simple p_cur outfile kBT min:step:max scale p_target

#### DESCRIPTION

This script calls the pressure corrections ‘’$dU=A*(1-r/r_c)$’’, where ‘’$A=-0.1k_B T * \max(1,|p_cur-p_target|*scale) * \sign(p_cur-p_target)$’’

### pressure_cor_wjk.pl

#### NAME

csg_call pressure_cor wjk - Part of the VOTCA package

#### SYNOPSIS

csg_call pressure_cor wjk [OPTIONS]

csg_call pressure_cor wjk [–help]

Usage: csg_call [OPTIONS] pressure_cor wjk p_cur outfile kBT min:step:max scale p_target particle_dens rdf_file

#### DESCRIPTION

This script calls the pressure corrections like in Wan, Junghans & Kremer, Euro. Phys. J. E 28, 221 (2009) Basically dU=A*(1-r/r_c) with A= -max(0.1k_B T, Int ) * sign(p_cur-p_target) and Int is the integral from Eq. 7 in the paper.

### resample_target.sh

#### NAME

csg_call resample target - Part of the VOTCA package

#### SYNOPSIS

csg_call resample target [OPTIONS]

csg_call resample target [–help]

Usage: csg_call [OPTIONS] resample target input output

#### DESCRIPTION

This script resamples distribution to grid spacing of the setting xml file and extrapolates if needed

### run_genericsim.sh

#### NAME

csg_call run espresso - Part of the VOTCA package

#### SYNOPSIS

csg_call run espresso [OPTIONS]

csg_call run espresso [–help]

Usage: csg_call [OPTIONS] run espresso

#### DESCRIPTION

This script runs a generic simulation program

### run_gromacs.sh

#### NAME

csg_call run gromacs - Part of the VOTCA package

#### SYNOPSIS

csg_call run gromacs [OPTIONS]

csg_call run gromacs [–help]

Usage: csg_call [OPTIONS] run gromacs [–pre]

#### DESCRIPTION

This script runs a gromacs simulation or pre-simulation

Used external packages: gromacs

### simplex_downhill_processor.pl

#### NAME

csg_call simplex precede_state - Part of the VOTCA package

#### SYNOPSIS

csg_call simplex precede_state [OPTIONS]

csg_call simplex precede_state [–help]

Usage: csg_call [OPTIONS] simplex precede_state current_state new_state

#### DESCRIPTION

Changes a simplex state according to the current state using the Nelder–Mead method or downhill simplex algorithm.

### table_average.sh

#### NAME

csg_call table average - Part of the VOTCA package

#### SYNOPSIS

csg_call table average [OPTIONS]

csg_call table average [–help]

Usage: csg_call [OPTIONS] table average [options] table1 table2 table3 ….

#### DESCRIPTION

This script creates averages tables and also calculates the error.

#### EXAMPLES

    * table_average.sh --output CG-CG.dist.new CG-CG*.dist.new

#### OPTIONS

    Allowed options:

    -h, --help                    show this help
    -o, --output NANE             output file name
        --cols NUM                Number of columns per file
                                  Default: 3
        --col-y NUM               y-data column
                                  Default: 2
        --col-x NUM               x-data column
                                  Default: 1
        --clean                 Clean intermediate files

### table_change_flag.sh

#### NAME

csg_call table change_flag - Part of the VOTCA package

#### SYNOPSIS

csg_call table change_flag [OPTIONS]

csg_call table change_flag [–help]

Usage: csg_call [OPTIONS] table change_flag input outfile

#### DESCRIPTION

This script changes the flags (col 3) of a table

### table_combine.pl

#### NAME

csg_call table compare - Part of the VOTCA package

#### SYNOPSIS

csg_call table compare [OPTIONS]

csg_call table compare [–help]

Usage: table_combine.pl [OPTIONS] <in> <in2> <out>

#### DESCRIPTION

This script combines two tables with a certain operation

#### OPTIONS

    Allowed options:

        --error  ERR      Relative error
                          Default: 1e-05
        --op OP           Operation to perform
                          Possible: =,+,-,*,/,d,d2,x
                        d = |y1-y2|, d2 = (y1-y2)^2, x=* (to avoid shell trouble)
        --sum             Output the sum instead of a new table
        --die             Die if op '=' fails
        --no-flags        Do not check for the flags
        --scale XXX       Scale output/sum with this number
                          Default 1
        --withflag  FL    only operate on entries with specific flag in src
    -h, --help            Show this help message

### table_dummy.sh

#### NAME

csg_call table dummy - Part of the VOTCA package

#### SYNOPSIS

csg_call table dummy [OPTIONS]

csg_call table dummy [–help]

Usage: csg_call [OPTIONS] table dummy [options] min:step:max outfile

#### DESCRIPTION

This script creates a zero table with grid min:step:max using linear interpolation

#### OPTIONS

    Allowed options:

        --y1  X.X                 using X.X instead of 0 for the 1st y-value
                                  this creates a linear instead of a constant table
        --y2  X.X                 using X.X instead of 0 for the 2nd y-value
                                  this creates a linear instead of a constant table
        --help                    show this help
        --clean                   remove all intermediate temp files

### table_extrapolate.pl

#### NAME

csg_call table extrapolate - Part of the VOTCA package

#### SYNOPSIS

csg_call table extrapolate [OPTIONS]

csg_call table extrapolate [–help]

Usage: csg_call [OPTIONS] table extrapolate [OPTIONS] <in> <out>

#### DESCRIPTION

This script extrapolates a table

#### OPTIONS

    Allowed options:

    --avgpoints A         average over the given number of points to extrapolate: default is 3
    --function            constant, linear, quadratic or exponential, sasha, periodic: default is quadratic
    --no-flagupdate       do not update the flag of the extrapolated values
    --region              left, right, or leftright: default is leftright
    --curvature C         curvature of the quadratic function: default is 10000,
                          makes sense only for quadratic extrapolation, ignored for other cases
    -h, --help            Show this help message

    Extrapolation methods:

     always ''$m = dy/dx= (y[i+A]-y[i])/(x[i+A]-x[i])$''

    - constant:  ''$y = y0$''
    - linear:  ''$y = ax + b\;\;b = - m*x_0 + y_0;;a = m$''
    - sasha: ''$y = a*(x-b)^2\;\;b = (x0 - 2y_0/m)\;\; a = m^2/(4*y_0)$''
    - exponential: ''$y = a*\\exp(b*x)\;\;a = y0*\\exp(-m*x0/y0)\;\;b = m/y_0$''
    - quadratic: ''$y = C*(x+a)^2 + b\;\;a = m/(2*C) - x0\;\; b = y_0 - m^2/(4*C)$''
    - periodic  same as linear, but extrapolates right side to end at first point of left side

### table_functional.sh

#### NAME

csg_call table functional - Part of the VOTCA package

#### SYNOPSIS

csg_call table functional [OPTIONS]

csg_call table functional [–help]

Usage: csg_call [OPTIONS] table functional [options] output

#### DESCRIPTION

This script creates a table with grid min:step:max for the a functional form

#### EXAMPLES

    * table_functional.sh --grid 0:0.1:1 --fct x**2 CG-CG.tab.new

#### OPTIONS

    Allowed options:

    -h, --help                    show this help
        --grid  XX:XX:XX          Output grid of the table
        --var X=Y                 Set a variable used in the function
        --fct FCT                 functional form of the table
        --headerfile XXX          Extra headerfile for the plot script
                                  (useful for complicated functions)
        --gnuplot CMD             Gnuplot command to use
                                  Default: gnuplot
        --clean                 Clean intermediate files

    Used external packages: gnuplot

### table_get_value.pl

#### NAME

csg_call table get_value - Part of the VOTCA package

#### SYNOPSIS

csg_call table get_value [OPTIONS]

csg_call table get_value [–help]

Usage: csg_call [OPTIONS] table get_value [OPTIONS] X infile

#### DESCRIPTION

This script print the y value of x, which is closest to X.

#### OPTIONS

    Allowed options:

    -h, --help            Show this help message

### table_integrate.pl

#### NAME

csg_call table integrate - Part of the VOTCA package

#### SYNOPSIS

csg_call table integrate [OPTIONS]

csg_call table integrate [–help]

Usage: csg_call [OPTIONS] table integrate [OPTIONS] <in> <out>

#### DESCRIPTION

This script calculates the integral of a table. Please note the force is the NEGATIVE integral of the potential (use ‘table linearop’ and multiply the table with -1)

#### EXAMPLES

    * table_integrate.pl --with-S --kbT 2.49435 tmp.force tmp.dpot

#### OPTIONS

    Allowed options:

        --with-errors     calculate error
        --with-S          Add entropic contribution to force ''$2k_B T/r$''
        --kbT NUMBER      use NUMBER as ''$k_B*T$'' for the entropic part
        --from            Integrate from left or right (to define the zero point)
                          Default: right
        --sphere          Add spherical volume term (''$r^2$'')
    -h, --help            Show this help message

### table_linearop.pl

#### NAME

csg_call table linearop - Part of the VOTCA package

#### SYNOPSIS

csg_call table linearop [OPTIONS]

csg_call table linearop [–help]

Usage: csg_call [OPTIONS] table linearop [OPTIONS] <in> <out> <a> <b>

#### DESCRIPTION

This script performs a linear operation on the y values: ‘’$y_{new} = a*y_{old} + b$’’

#### EXAMPLES

    * table_linearop.pl tmp.dpot.cur tmp.dpot.new 1.0 0.0

#### OPTIONS

    Allowed options:

    -h, --help            Show this help message
        --withflag  FL    only change entries with specific flag in src
        --with-errors     also read and calculate errors
        --on-x            work on x values instead of y values

### table_scale.pl

#### NAME

csg_call table scale - Part of the VOTCA package

#### SYNOPSIS

csg_call table scale [OPTIONS]

csg_call table scale [–help]

Usage: csg_call [OPTIONS] table scale [OPTIONS] infile outfile prefactor1 prefactor2

#### DESCRIPTION

#### OPTIONS

    Allowed options:

    -h, --help            Show this help message

### table_smooth.pl

#### NAME

csg_call table smooth - Part of the VOTCA package

#### SYNOPSIS

csg_call table smooth [OPTIONS]

csg_call table smooth [–help]

Usage: csg_call [OPTIONS] table smooth infile outfile

#### DESCRIPTION

This script smoothes a table

### table_smooth_at_cut_off.py

#### NAME

csg_call table smooth_at_cut_off - Part of the VOTCA package

#### SYNOPSIS

csg_call table smooth_at_cut_off [OPTIONS]

csg_call table smooth_at_cut_off [–help]

#### DESCRIPTION

Smooth the potential close to the cut-off.

#### OPTIONS

    positional arguments:

      input              potential input
      output             potential output

    options:

      -h, --help         show this help message and exit
      --cut-off CUT_OFF  cut-off

### table_switch_border.pl

#### NAME

csg_call table switch_border - Part of the VOTCA package

#### SYNOPSIS

csg_call table switch_border [OPTIONS]

csg_call table switch_border [–help]

Usage: csg_call [OPTIONS] table switch_border infile outfile <x_switch>

#### DESCRIPTION

This script applies a switching function to the end of the table to switch it smoothly to zero by y = y*cos( pi*(x-x_switch)/(2*(x_end-x_switch)) )

### table_to_tab.pl

#### NAME

csg_call convert_potential tab - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potential tab [OPTIONS]

csg_call convert_potential tab [–help]

Usage: csg_call [OPTIONS] convert_potential tab [OPTIONS] <in> <derivatives_in> <out>

#### DESCRIPTION

This script converts csg potential files to the tab format (as read by espresso or lammps or dlpoly).

In addition, it does some magic tricks: - shift the potential, so that it is zero at the cutoff

#### EXAMPLES

    * table_to_tab.pl --type non-bonded table.in table_b0.xvg

#### OPTIONS

    Allowed options:

    -h, --help            show this help message
    --type XXX            change the type of xvg table
                          Default: non-bonded
    --header XXX          Write a special simulation programm header

### table_to_xvg.pl

#### NAME

csg_call convert_potential xvg - Part of the VOTCA package

#### SYNOPSIS

csg_call convert_potential xvg [OPTIONS]

csg_call convert_potential xvg [–help]

Usage: csg_call [OPTIONS] convert_potential xvg [OPTIONS] <in> <out>

#### DESCRIPTION

This script converts csg potential files to the xvg format.

#### EXAMPLES

    * table_to_xvg.pl --type bond table.in table_b0.xvg

#### OPTIONS

    Allowed options:

    -h, --help            show this help message
    --type XXX            change the type of xvg table
                          Default: non-bonded
    --max MAX             Replace all pot value bigger MAX by MAX

    Possible types: non-bonded (=C12), bond, C12, C6, CB, angle, dihedral

### tables_jackknife.pl

#### NAME

csg_call tables jackknife - Part of the VOTCA package

#### SYNOPSIS

csg_call tables jackknife [OPTIONS]

csg_call tables jackknife [–help]

Usage: csg_call [OPTIONS] tables jackknife out full block1 block2 …

#### DESCRIPTION

This script calculates the jackknife error from existing tables * full = table calculated with full dataset * blocks = tables calculated with 1 block missing * outfile = file to write results

### tag_file.sh

#### NAME

csg_call tag file - Part of the VOTCA package

#### SYNOPSIS

csg_call tag file [OPTIONS]

csg_call tag file [–help]

Usage: csg_call [OPTIONS] tag file input output

#### DESCRIPTION

Add table_comment to the head of a file

### update_ibi.sh

#### NAME

csg_call update ibi - Part of the VOTCA package

#### SYNOPSIS

csg_call update ibi [OPTIONS]

csg_call update ibi [–help]

Usage: csg_call [OPTIONS] update ibi

#### DESCRIPTION

This script implements the function update for the Inverse Boltzmann Method

### update_ibi_pot.pl

#### NAME

csg_call update ibi_pot - Part of the VOTCA package

#### SYNOPSIS

csg_call update ibi_pot [OPTIONS]

csg_call update ibi_pot [–help]

Usage: csg_call [OPTIONS] update ibi_pot target_rdf new_rdf cur_pot outfile kBT

#### DESCRIPTION

This script calcs dU out of two rdfs with the rules of inverse boltzmann

In addition, it does some magic tricks: - do not update if one of the two rdf is undefined

### update_ibi_single.sh

#### NAME

csg_call update ibi_single - Part of the VOTCA package

#### SYNOPSIS

csg_call update ibi_single [OPTIONS]

csg_call update ibi_single [–help]

Usage: csg_call [OPTIONS] update ibi_single

#### DESCRIPTION

This script implemtents the function update for a single pair for the Inverse Boltzmann Method

### update_iie.sh

#### NAME

csg_call update iie - Part of the VOTCA package

#### SYNOPSIS

csg_call update iie [OPTIONS]

csg_call update iie [–help]

Usage: csg_call [OPTIONS] update iie

#### DESCRIPTION

This script implements the function update for the HNC methods

There is not support for not doing potential updates on some interactions yet. Also no support for per interaction extrapolation.

### update_imc.sh

#### NAME

csg_call update imc - Part of the VOTCA package

#### SYNOPSIS

csg_call update imc [OPTIONS]

csg_call update imc [–help]

Usage: csg_call [OPTIONS] update imc

#### DESCRIPTION

This script implements the function update for the Inverse Monte Carlo Method

### update_imc_single.sh

#### NAME

csg_call update imc_single - Part of the VOTCA package

#### SYNOPSIS

csg_call update imc_single [OPTIONS]

csg_call update imc_single [–help]

Usage: csg_call [OPTIONS] update imc_single

#### DESCRIPTION

This scripts multiplies the dpot tables for each interaction when using IMC by kBT and handles potential update schemes

### update_optimizer.sh

#### NAME

csg_call update optimizer - Part of the VOTCA package

#### SYNOPSIS

csg_call update optimizer [OPTIONS]

csg_call update optimizer [–help]

Usage: csg_call [OPTIONS] update optimizer

#### DESCRIPTION

This script: - implements the update function for each non-bonded interaction - performs optimizer algorithm if no pending parameter sets present - continues with next parameter set in table if otherwise

### update_optimizer_single.sh

#### NAME

csg_call update optimizer_single - Part of the VOTCA package

#### SYNOPSIS

csg_call update optimizer_single [OPTIONS]

csg_call update optimizer_single [–help]

Usage: csg_call [OPTIONS] update optimizer_single

#### DESCRIPTION

This script: - calculates the new property - compares it to the target property and calculates the target function accordingly

### update_re.sh

#### NAME

csg_call update re - Part of the VOTCA package

#### SYNOPSIS

csg_call update re [OPTIONS]

csg_call update re [–help]

Usage: csg_call [OPTIONS] update re

#### DESCRIPTION

This script implements update step of relative entropy method by csg_reupdate program

## csgapps

Extra user-contibuted applications based on the csg application class, that aren’t needed for the normal workflows. Installable with `-DINSTALL_CSGAPPS=ON`.

### csg_fluctuations

#### NAME

csg_fluctuations - Part of the VOTCA package

#### SYNOPSIS

csg_fluctuations [OPTIONS]

csg_fluctuations [–help]

#### DESCRIPTION

calculate density fluctuations in subvolumes of the simulation box.Subolumes can be either cubic slabs in dimensions (x|y|z) or sphericalslabs with respect to either the center of box or a reference molecule

#### OPTIONS

    Allowed options:

      -h [ --help ]                        display this help and exit
      --verbose                            be loud and noisy
      --verbose1                           be very loud and noisy
      -v [ --verbose2 ]                    be extremly loud and noisy
      --top arg                            atomistic topology file

    Fluctuation options:

      --filter arg (=*)                  filter molecule names
      --rmax arg                         maximal distance to be considered
      --rmin arg (=0)                    minimal distance to be considered
      --refmol arg                       Reference molecule
      --nbin arg (=100)                  Number of bins
      --geometry arg                     (sphere|x|y|z) Take radial or x, y, z
                                         slabs from rmin to rmax
      --outfile arg (=fluctuations.dat)  Output file

    Mapping options:

      --cg arg                             coarse graining mapping and bond
                                         definitions (xml-file)
      --map-ignore arg                     list of molecules to ignore separated by
                                         ;
      --no-map                             disable mapping and act on original
                                         trajectory

    Trajectory options:

      --trj arg                            atomistic trajectory file
      --begin arg (=0)                     skip frames before this time (only works
                                         for Gromacs files)
      --first-frame arg (=0)               start with this frame
      --nframes arg                        process the given number of frames

### csg_orientcorr

#### NAME

csg_orientcorr - Part of the VOTCA package

#### SYNOPSIS

csg_orientcorr [OPTIONS]

csg_orientcorr [–help]

#### DESCRIPTION

Calculates the orientational correlation function <3/2*u(0)*u(r) - 1/2> for a polymer melt, where u is the vector pointing along a bond and r the distance between bond segments (centered on middle of bond).

The output is correlation.dat (with intra-molecular contributions) and correlation_excl.dat, where inter-molecular contributions are excluded.

#### OPTIONS

    Allowed options:

      -h [ --help ]               display this help and exit
      --verbose                   be loud and noisy
      --verbose1                  be very loud and noisy
      -v [ --verbose2 ]           be extremly loud and noisy
      --top arg                   atomistic topology file

    Neighbor search options:

      -c [ --cutoff ] arg (=1)  cutoff for the neighbor search
      --nbins arg (=40)         number of bins for the grid
      --nbmethod arg (=grid)    neighbor search algorithm (simple or grid)

    Threading options:

      --nt arg (=1)               number of threads

    Trajectory options:

      --trj arg                   atomistic trajectory file
      --begin arg (=0)            skip frames before this time (only works for
                                Gromacs files)
      --first-frame arg (=0)      start with this frame
      --nframes arg               process the given number of frames

### csg_part_dist

#### NAME

csg_part_dist - Part of the VOTCA package

#### SYNOPSIS

csg_part_dist [OPTIONS]

csg_part_dist [–help]

#### DESCRIPTION

This program reads a topology and (set of) trajectory(ies). For every binned value of a chosen coordinate, it outputs the time-averaged number of particles, listed by particle types.

#### OPTIONS

    Allowed options:

      --top arg             topology file
      --trj arg             trajectory file
      --grid arg            output grid spacing (min:step:max)
      --out arg             output particle distribution table
      --ptypes arg          particle types to include in the analysis
                             arg: file - particle types separated by space
                             default: all particle types
      --first_frame arg     first frame considered for analysis
      --last_frame arg      last frame considered for analysis
      --coord arg           coordinate analyzed ('x', 'y', or 'z' (default))
      --shift_com           shift center of mass to zero
      --comment arg         store a comment in the output table
      --help                produce this help message

### csg_partial_rdf

#### NAME

csg_partial_rdf - Part of the VOTCA package

#### SYNOPSIS

csg_partial_rdf [OPTIONS]

csg_partial_rdf [–help]

#### DESCRIPTION

Calculate spatially confined rdfs

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file

    Mapping options:

      --cg arg                  [OPTIONAL] coarse graining mapping and bond
                              definitions
                                (xml-file). If no file is given, program acts on
                              original trajectory
      --map-ignore arg          list of molecules to ignore if mapping is done
                              separated by ;

    Specific options:

      --options arg             options file defining the rdfs
      --subvolume_radius arg  Rdf calc. in spherical subvolume of this radius (from
                              center of box)
      --do-vol-corr           Correct for subvolume truncation in rdf
      --write-every arg        (UNIMPLEMENTED) write after every block of this
                              length, if --blocking   is set, the averages are
                              cleared after every output
      --do-blocks               write output for blocking analysis

    Threading options:

      --nt arg (=1)             number of threads

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

### csg_radii

#### NAME

csg_radii - Part of the VOTCA package

#### SYNOPSIS

csg_radii [OPTIONS]

csg_radii [–help]

#### DESCRIPTION

calculate gyration- and hydrodynamic radius for a specific molecule or molecule type

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file

    Molecule filter options:

      --mol arg               molecule number
      --molname arg (=*)      pattern for molecule name

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

### csg_sphericalorder

#### NAME

csg_sphericalorder - Part of the VOTCA package

#### SYNOPSIS

csg_sphericalorder [OPTIONS]

csg_sphericalorder [–help]

#### DESCRIPTION

!! EXPERIMENTAL !! Calculate spherical order parameter.

  Needs non-spherical beads in mapping.

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file
      --filter arg (=*)       filter molecule names
      --radialcut arg (=0)    radial cutoff: distance from center where bead is
                              considered
      --minrad arg (=0)       minimal distance a parcle has to be apart from center
                              to be considerd
      --refmol arg            Reference molecule
      --rbinw arg (=0)        Do multiple r_bins multiple histograms

    Mapping options:

      --cg arg                  coarse graining mapping and bond definitions
                              (xml-file)
      --map-ignore arg          list of molecules to ignore separated by ;
      --no-map                  disable mapping and act on original trajectory

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames

### csg_traj_force

#### NAME

csg_traj_force - Part of the VOTCA package

#### SYNOPSIS

csg_traj_force [OPTIONS]

csg_traj_force [–help]

#### DESCRIPTION

Adds/subtracts forces from given atomistic trajectories

#### OPTIONS

    Allowed options:

      -h [ --help ]             display this help and exit
      --verbose                 be loud and noisy
      --verbose1                be very loud and noisy
      -v [ --verbose2 ]         be extremly loud and noisy
      --top arg                 atomistic topology file
      --scale arg (=-1)         scaling factor for trajectory forces
      --trj-force arg           atomistic reference trajectory containing forces to
                              add/subtract
      --out arg                 output trajectory file with resultant forces

    Trajectory options:

      --trj arg                 atomistic trajectory file
      --begin arg (=0)          skip frames before this time (only works for
                              Gromacs files)
      --first-frame arg (=0)    start with this frame
      --nframes arg             process the given number of frames